#-- start of make_header -----------------

#====================================
#  Document install_configuration
#
#   Generated Fri Nov 28 14:39:19 2014  by ejansen
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_configuration_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_configuration_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_configuration

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_configuration = $(AtlantisJava_tag)_install_configuration.make
cmt_local_tagfile_install_configuration = $(bin)$(AtlantisJava_tag)_install_configuration.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_configuration = $(AtlantisJava_tag).make
cmt_local_tagfile_install_configuration = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_install_configuration)
#-include $(cmt_local_tagfile_install_configuration)

ifdef cmt_install_configuration_has_target_tag

cmt_final_setup_install_configuration = $(bin)setup_install_configuration.make
#cmt_final_setup_install_configuration = $(bin)AtlantisJava_install_configurationsetup.make
cmt_local_install_configuration_makefile = $(bin)install_configuration.make

else

cmt_final_setup_install_configuration = $(bin)setup.make
#cmt_final_setup_install_configuration = $(bin)AtlantisJavasetup.make
cmt_local_install_configuration_makefile = $(bin)install_configuration.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#install_configuration :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'install_configuration'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = install_configuration/
#install_configuration::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share/AtlantisJava/configuration

install_configuration :: install_configurationinstall ;

install :: install_configurationinstall ;

install_configurationclean :: install_configurationuninstall

uninstall :: install_configurationuninstall


# This is to avoid error in case there are no files to install
# Ideally, the fragment should not be used without files to install,
# and this line should be dropped then
install_configurationinstall :: ;

config-acr-general_xml_dependencies = ../configuration/config-acr-general.xml
config-MINERVA_xml_dependencies = ../configuration/config-MINERVA.xml
config-acr-public_xml_dependencies = ../configuration/config-acr-public.xml
config_xml_dependencies = ../configuration/config.xml
config-MINERVA-V0_xml_dependencies = ../configuration/config-MINERVA-V0.xml
pdg_xml_dependencies = ../configuration/pdg.xml
colormap_xml_dependencies = ../configuration/colormap.xml
config-G4_xml_dependencies = ../configuration/config-G4.xml
epusti_csv_dependencies = ../configuration/epusti.csv
rpsplt_fcal_csv_dependencies = ../configuration/rpsplt_fcal.csv
rpsplt_tile_csv_dependencies = ../configuration/rpsplt_tile.csv
rpsplt_lar_csv_dependencies = ../configuration/rpsplt_lar.csv
rpsplt_hec_csv_dependencies = ../configuration/rpsplt_hec.csv
PSProlog_txt_dependencies = ../configuration/PSProlog.txt


install_configurationinstall :: ${install_dir}/config-acr-general.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/config-acr-general.xml :: ../configuration/config-acr-general.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-acr-general.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "config-acr-general.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/config-acr-general.xml : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-acr-general.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "config-acr-general.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/config-MINERVA.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/config-MINERVA.xml :: ../configuration/config-MINERVA.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-MINERVA.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "config-MINERVA.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/config-MINERVA.xml : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-MINERVA.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "config-MINERVA.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/config-acr-public.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/config-acr-public.xml :: ../configuration/config-acr-public.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-acr-public.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "config-acr-public.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/config-acr-public.xml : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-acr-public.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "config-acr-public.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/config.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/config.xml :: ../configuration/config.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "config.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/config.xml : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "config.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/config-MINERVA-V0.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/config-MINERVA-V0.xml :: ../configuration/config-MINERVA-V0.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-MINERVA-V0.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "config-MINERVA-V0.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/config-MINERVA-V0.xml : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-MINERVA-V0.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "config-MINERVA-V0.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/pdg.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/pdg.xml :: ../configuration/pdg.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/pdg.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "pdg.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/pdg.xml : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/pdg.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "pdg.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/colormap.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/colormap.xml :: ../configuration/colormap.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/colormap.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "colormap.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/colormap.xml : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/colormap.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "colormap.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/config-G4.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/config-G4.xml :: ../configuration/config-G4.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-G4.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "config-G4.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/config-G4.xml : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/config-G4.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "config-G4.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/epusti.csv
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/epusti.csv :: ../configuration/epusti.csv
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/epusti.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "epusti.csv" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/epusti.csv : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/epusti.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "epusti.csv" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/rpsplt_fcal.csv
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/rpsplt_fcal.csv :: ../configuration/rpsplt_fcal.csv
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/rpsplt_fcal.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "rpsplt_fcal.csv" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/rpsplt_fcal.csv : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/rpsplt_fcal.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "rpsplt_fcal.csv" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/rpsplt_tile.csv
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/rpsplt_tile.csv :: ../configuration/rpsplt_tile.csv
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/rpsplt_tile.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "rpsplt_tile.csv" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/rpsplt_tile.csv : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/rpsplt_tile.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "rpsplt_tile.csv" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/rpsplt_lar.csv
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/rpsplt_lar.csv :: ../configuration/rpsplt_lar.csv
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/rpsplt_lar.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "rpsplt_lar.csv" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/rpsplt_lar.csv : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/rpsplt_lar.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "rpsplt_lar.csv" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/rpsplt_hec.csv
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/rpsplt_hec.csv :: ../configuration/rpsplt_hec.csv
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/rpsplt_hec.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "rpsplt_hec.csv" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/rpsplt_hec.csv : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/rpsplt_hec.csv`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "rpsplt_hec.csv" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_configurationinstall :: ${install_dir}/PSProlog.txt
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/PSProlog.txt :: ../configuration/PSProlog.txt
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/PSProlog.txt`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "PSProlog.txt" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../configuration/PSProlog.txt : ;

install_configurationuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../configuration/PSProlog.txt`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "PSProlog.txt" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi
#-- start of cleanup_header --------------

clean :: install_configurationclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(install_configuration.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

install_configurationclean ::
#-- end of cleanup_header ---------------
