
#-- start of constituents_header ------

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile = $(AtlantisJava_tag).make
cmt_local_tagfile = $(bin)$(AtlantisJava_tag).make

#-include $(cmt_local_tagfile)
include $(cmt_local_tagfile)

#cmt_local_setup = $(bin)setup$$$$.make
#cmt_local_setup = $(bin)$(package)setup$$$$.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make
cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)$(package)setup.make

#--------------------------------------------------------

#cmt_lock_setup = /tmp/lock$(cmt_lock_pid).make
#cmt_temp_tag = /tmp/tag$(cmt_lock_pid).make

#first :: $(cmt_local_tagfile)
#	@echo $(cmt_local_tagfile) ok
#ifndef QUICK
#first :: $(cmt_final_setup) ;
#else
#first :: ;
#endif

##	@bin=`$(cmtexe) show macro_value bin`

#$(cmt_local_tagfile) : $(cmt_lock_setup)
#	@echo "#CMT> Error: $@: No such file" >&2; exit 1
#$(cmt_local_tagfile) :
#	@echo "#CMT> Warning: $@: No such file" >&2; exit
#	@echo "#CMT> Info: $@: No need to rebuild file" >&2; exit

#$(cmt_final_setup) : $(cmt_local_tagfile) 
#	$(echo) "(constituents.make) Rebuilding $@"
#	@if test ! -d $(@D); then $(mkdir) -p $(@D); fi; \
#	  if test -f $(cmt_local_setup); then /bin/rm -f $(cmt_local_setup); fi; \
#	  trap '/bin/rm -f $(cmt_local_setup)' 0 1 2 15; \
#	  $(cmtexe) -tag=$(tags) show setup >>$(cmt_local_setup); \
#	  if test ! -f $@; then \
#	    mv $(cmt_local_setup) $@; \
#	  else \
#	    if /usr/bin/diff $(cmt_local_setup) $@ >/dev/null ; then \
#	      : ; \
#	    else \
#	      mv $(cmt_local_setup) $@; \
#	    fi; \
#	  fi

#	@/bin/echo $@ ok   

#config :: checkuses
#	@exit 0
#checkuses : ;

env.make ::
	printenv >env.make.tmp; $(cmtexe) check files env.make.tmp env.make

ifndef QUICK
all :: build_library_links
	$(echo) "(constituents.make) all done"
endif

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

dirs :: requirements
	@if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi
#	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
#	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

requirements :
	@if test ! -r requirements ; then echo "No requirements file" ; fi

build_library_links : dirs
	$(echo) "(constituents.make) Rebuilding library links"; \
	 $(build_library_links)
#	if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
#	$(build_library_links)

makefiles : ;

.DEFAULT ::
	$(echo) "(constituents.make) $@: No rule for such target" >&2
#	@echo "#CMT> Warning: $@: Using default commands" >&2; exit

#	@if test "$@" = "$(cmt_lock_setup)"; then \
	#  /bin/rm -f $(cmt_lock_setup); \
	 # touch $(cmt_lock_setup); \
	#fi

#-- end of constituents_header ------
#-- start of group ------

all_groups :: all

all :: $(all_dependencies)  $(all_pre_constituents) $(all_constituents)  $(all_post_constituents)
	$(echo) "all ok."

#	@/bin/echo " all ok."

clean :: allclean

allclean ::  $(all_constituentsclean)
	$(echo) $(all_constituentsclean)
	$(echo) "allclean ok."

#	@echo $(all_constituentsclean)
#	@/bin/echo " allclean ok."

allclean :: makefilesclean

#-- end of group ------
#-- start of group ------

all_groups :: cmt_actions

cmt_actions :: $(cmt_actions_dependencies)  $(cmt_actions_pre_constituents) $(cmt_actions_constituents)  $(cmt_actions_post_constituents)
	$(echo) "cmt_actions ok."

#	@/bin/echo " cmt_actions ok."

clean :: allclean

cmt_actionsclean ::  $(cmt_actions_constituentsclean)
	$(echo) $(cmt_actions_constituentsclean)
	$(echo) "cmt_actionsclean ok."

#	@echo $(cmt_actions_constituentsclean)
#	@/bin/echo " cmt_actionsclean ok."

cmt_actionsclean :: makefilesclean

#-- end of group ------
#-- start of group ------

all_groups :: rulechecker

rulechecker :: $(rulechecker_dependencies)  $(rulechecker_pre_constituents) $(rulechecker_constituents)  $(rulechecker_post_constituents)
	$(echo) "rulechecker ok."

#	@/bin/echo " rulechecker ok."

clean :: allclean

rulecheckerclean ::  $(rulechecker_constituentsclean)
	$(echo) $(rulechecker_constituentsclean)
	$(echo) "rulecheckerclean ok."

#	@echo $(rulechecker_constituentsclean)
#	@/bin/echo " rulecheckerclean ok."

rulecheckerclean :: makefilesclean

#-- end of group ------
#-- start of constituent ------

cmt_buildTask_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_buildTask_has_target_tag

#cmt_local_tagfile_buildTask = $(AtlantisJava_tag)_buildTask.make
cmt_local_tagfile_buildTask = $(bin)$(AtlantisJava_tag)_buildTask.make
cmt_local_setup_buildTask = $(bin)setup_buildTask$$$$.make
cmt_final_setup_buildTask = $(bin)setup_buildTask.make
#cmt_final_setup_buildTask = $(bin)AtlantisJava_buildTasksetup.make
cmt_local_buildTask_makefile = $(bin)buildTask.make

buildTask_extratags = -tag_add=target_buildTask

#$(cmt_local_tagfile_buildTask) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_buildTask) ::
else
$(cmt_local_tagfile_buildTask) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_buildTask); then /bin/rm -f $(cmt_local_tagfile_buildTask); fi ; \
	  $(cmtexe) -tag=$(tags) $(buildTask_extratags) build tag_makefile >>$(cmt_local_tagfile_buildTask)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_buildTask)"; \
	  test ! -f $(cmt_local_setup_buildTask) || \rm -f $(cmt_local_setup_buildTask); \
	  trap '\rm -f $(cmt_local_setup_buildTask)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(buildTask_extratags) show setup >$(cmt_local_setup_buildTask) && \
	  if [ -f $(cmt_final_setup_buildTask) ] && \
	    \cmp -s $(cmt_final_setup_buildTask) $(cmt_local_setup_buildTask); then \
	    \rm $(cmt_local_setup_buildTask); else \
	    \mv -f $(cmt_local_setup_buildTask) $(cmt_final_setup_buildTask); fi

else

#cmt_local_tagfile_buildTask = $(AtlantisJava_tag).make
cmt_local_tagfile_buildTask = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_buildTask = $(bin)setup.make
#cmt_final_setup_buildTask = $(bin)AtlantisJavasetup.make
cmt_local_buildTask_makefile = $(bin)buildTask.make

endif

ifdef STRUCTURED_OUTPUT
buildTaskdirs :
	@if test ! -d $(bin)buildTask; then $(mkdir) -p $(bin)buildTask; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)buildTask
else
buildTaskdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# buildTaskdirs ::
#	@if test ! -d $(bin)buildTask; then $(mkdir) -p $(bin)buildTask; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)buildTask
#
#$(cmt_local_buildTask_makefile) :: $(buildTask_dependencies) $(cmt_local_tagfile_buildTask) build_library_links dirs buildTaskdirs
#else
#$(cmt_local_buildTask_makefile) :: $(buildTask_dependencies) $(cmt_local_tagfile_buildTask) build_library_links dirs
#endif
#else
#$(cmt_local_buildTask_makefile) :: $(cmt_local_tagfile_buildTask)
#endif

ifdef cmt_buildTask_has_target_tag

ifndef QUICK
$(cmt_local_buildTask_makefile) : $(buildTask_dependencies) build_library_links
	$(echo) "(constituents.make) Building buildTask.make"; \
	  $(cmtexe) -tag=$(tags) $(buildTask_extratags) build constituent_config -out=$(cmt_local_buildTask_makefile) buildTask
else
$(cmt_local_buildTask_makefile) : $(buildTask_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_buildTask) ] || \
	  [ ! -f $(cmt_final_setup_buildTask) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building buildTask.make"; \
	  $(cmtexe) -tag=$(tags) $(buildTask_extratags) build constituent_config -out=$(cmt_local_buildTask_makefile) buildTask; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_buildTask_makefile) : $(buildTask_dependencies) build_library_links
	$(echo) "(constituents.make) Building buildTask.make"; \
	  $(cmtexe) -f=$(bin)buildTask.in -tag=$(tags) $(buildTask_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_buildTask_makefile) buildTask
else
$(cmt_local_buildTask_makefile) : $(buildTask_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_buildTask) ] || \
	  [ ! -f $(cmt_final_setup_buildTask) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building buildTask.make"; \
	  $(cmtexe) -f=$(bin)buildTask.in -tag=$(tags) $(buildTask_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_buildTask_makefile) buildTask; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(buildTask_extratags) build constituent_makefile -out=$(cmt_local_buildTask_makefile) buildTask

buildTask :: $(buildTask_dependencies) $(cmt_local_buildTask_makefile) dirs buildTaskdirs
	$(echo) "(constituents.make) Starting buildTask"
	@$(MAKE) -f $(cmt_local_buildTask_makefile) buildTask
	$(echo) "(constituents.make) buildTask done"

clean :: buildTaskclean

buildTaskclean :: $(buildTaskclean_dependencies) ##$(cmt_local_buildTask_makefile)
	$(echo) "(constituents.make) Starting buildTaskclean"
	@-if test -f $(cmt_local_buildTask_makefile); then \
	  $(MAKE) -f $(cmt_local_buildTask_makefile) buildTaskclean; \
	fi
	$(echo) "(constituents.make) buildTaskclean done"
#	@-$(MAKE) -f $(cmt_local_buildTask_makefile) buildTaskclean

##	  /bin/rm -f $(cmt_local_buildTask_makefile) $(bin)buildTask_dependencies.make

install :: buildTaskinstall

buildTaskinstall :: $(buildTask_dependencies) $(cmt_local_buildTask_makefile)
	$(echo) "(constituents.make) Starting install buildTask"
	@-$(MAKE) -f $(cmt_local_buildTask_makefile) install
	$(echo) "(constituents.make) install buildTask done"

uninstall :: buildTaskuninstall

$(foreach d,$(buildTask_dependencies),$(eval $(d)uninstall_dependencies += buildTaskuninstall))

buildTaskuninstall :: $(buildTaskuninstall_dependencies) $(cmt_local_buildTask_makefile)
	$(echo) "(constituents.make) Starting uninstall buildTask"
	@$(MAKE) -f $(cmt_local_buildTask_makefile) uninstall
	$(echo) "(constituents.make) uninstall buildTask done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ buildTask"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ buildTask done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_scripts_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_scripts_has_target_tag

#cmt_local_tagfile_install_scripts = $(AtlantisJava_tag)_install_scripts.make
cmt_local_tagfile_install_scripts = $(bin)$(AtlantisJava_tag)_install_scripts.make
cmt_local_setup_install_scripts = $(bin)setup_install_scripts$$$$.make
cmt_final_setup_install_scripts = $(bin)setup_install_scripts.make
#cmt_final_setup_install_scripts = $(bin)AtlantisJava_install_scriptssetup.make
cmt_local_install_scripts_makefile = $(bin)install_scripts.make

install_scripts_extratags = -tag_add=target_install_scripts

#$(cmt_local_tagfile_install_scripts) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_scripts) ::
else
$(cmt_local_tagfile_install_scripts) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_scripts); then /bin/rm -f $(cmt_local_tagfile_install_scripts); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_scripts_extratags) build tag_makefile >>$(cmt_local_tagfile_install_scripts)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_scripts)"; \
	  test ! -f $(cmt_local_setup_install_scripts) || \rm -f $(cmt_local_setup_install_scripts); \
	  trap '\rm -f $(cmt_local_setup_install_scripts)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_scripts_extratags) show setup >$(cmt_local_setup_install_scripts) && \
	  if [ -f $(cmt_final_setup_install_scripts) ] && \
	    \cmp -s $(cmt_final_setup_install_scripts) $(cmt_local_setup_install_scripts); then \
	    \rm $(cmt_local_setup_install_scripts); else \
	    \mv -f $(cmt_local_setup_install_scripts) $(cmt_final_setup_install_scripts); fi

else

#cmt_local_tagfile_install_scripts = $(AtlantisJava_tag).make
cmt_local_tagfile_install_scripts = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_scripts = $(bin)setup.make
#cmt_final_setup_install_scripts = $(bin)AtlantisJavasetup.make
cmt_local_install_scripts_makefile = $(bin)install_scripts.make

endif

ifdef STRUCTURED_OUTPUT
install_scriptsdirs :
	@if test ! -d $(bin)install_scripts; then $(mkdir) -p $(bin)install_scripts; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_scripts
else
install_scriptsdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_scriptsdirs ::
#	@if test ! -d $(bin)install_scripts; then $(mkdir) -p $(bin)install_scripts; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_scripts
#
#$(cmt_local_install_scripts_makefile) :: $(install_scripts_dependencies) $(cmt_local_tagfile_install_scripts) build_library_links dirs install_scriptsdirs
#else
#$(cmt_local_install_scripts_makefile) :: $(install_scripts_dependencies) $(cmt_local_tagfile_install_scripts) build_library_links dirs
#endif
#else
#$(cmt_local_install_scripts_makefile) :: $(cmt_local_tagfile_install_scripts)
#endif

ifdef cmt_install_scripts_has_target_tag

ifndef QUICK
$(cmt_local_install_scripts_makefile) : $(install_scripts_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_scripts.make"; \
	  $(cmtexe) -tag=$(tags) $(install_scripts_extratags) build constituent_config -out=$(cmt_local_install_scripts_makefile) install_scripts
else
$(cmt_local_install_scripts_makefile) : $(install_scripts_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_scripts) ] || \
	  [ ! -f $(cmt_final_setup_install_scripts) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_scripts.make"; \
	  $(cmtexe) -tag=$(tags) $(install_scripts_extratags) build constituent_config -out=$(cmt_local_install_scripts_makefile) install_scripts; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_scripts_makefile) : $(install_scripts_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_scripts.make"; \
	  $(cmtexe) -f=$(bin)install_scripts.in -tag=$(tags) $(install_scripts_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_scripts_makefile) install_scripts
else
$(cmt_local_install_scripts_makefile) : $(install_scripts_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_scripts) ] || \
	  [ ! -f $(cmt_final_setup_install_scripts) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_scripts.make"; \
	  $(cmtexe) -f=$(bin)install_scripts.in -tag=$(tags) $(install_scripts_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_scripts_makefile) install_scripts; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_scripts_extratags) build constituent_makefile -out=$(cmt_local_install_scripts_makefile) install_scripts

install_scripts :: $(install_scripts_dependencies) $(cmt_local_install_scripts_makefile) dirs install_scriptsdirs
	$(echo) "(constituents.make) Starting install_scripts"
	@$(MAKE) -f $(cmt_local_install_scripts_makefile) install_scripts
	$(echo) "(constituents.make) install_scripts done"

clean :: install_scriptsclean

install_scriptsclean :: $(install_scriptsclean_dependencies) ##$(cmt_local_install_scripts_makefile)
	$(echo) "(constituents.make) Starting install_scriptsclean"
	@-if test -f $(cmt_local_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_install_scripts_makefile) install_scriptsclean; \
	fi
	$(echo) "(constituents.make) install_scriptsclean done"
#	@-$(MAKE) -f $(cmt_local_install_scripts_makefile) install_scriptsclean

##	  /bin/rm -f $(cmt_local_install_scripts_makefile) $(bin)install_scripts_dependencies.make

install :: install_scriptsinstall

install_scriptsinstall :: $(install_scripts_dependencies) $(cmt_local_install_scripts_makefile)
	$(echo) "(constituents.make) Starting install install_scripts"
	@-$(MAKE) -f $(cmt_local_install_scripts_makefile) install
	$(echo) "(constituents.make) install install_scripts done"

uninstall :: install_scriptsuninstall

$(foreach d,$(install_scripts_dependencies),$(eval $(d)uninstall_dependencies += install_scriptsuninstall))

install_scriptsuninstall :: $(install_scriptsuninstall_dependencies) $(cmt_local_install_scripts_makefile)
	$(echo) "(constituents.make) Starting uninstall install_scripts"
	@$(MAKE) -f $(cmt_local_install_scripts_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_scripts done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_scripts"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_scripts done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_joboptions_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_joboptions_has_target_tag

#cmt_local_tagfile_install_joboptions = $(AtlantisJava_tag)_install_joboptions.make
cmt_local_tagfile_install_joboptions = $(bin)$(AtlantisJava_tag)_install_joboptions.make
cmt_local_setup_install_joboptions = $(bin)setup_install_joboptions$$$$.make
cmt_final_setup_install_joboptions = $(bin)setup_install_joboptions.make
#cmt_final_setup_install_joboptions = $(bin)AtlantisJava_install_joboptionssetup.make
cmt_local_install_joboptions_makefile = $(bin)install_joboptions.make

install_joboptions_extratags = -tag_add=target_install_joboptions

#$(cmt_local_tagfile_install_joboptions) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_joboptions) ::
else
$(cmt_local_tagfile_install_joboptions) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_joboptions); then /bin/rm -f $(cmt_local_tagfile_install_joboptions); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_joboptions_extratags) build tag_makefile >>$(cmt_local_tagfile_install_joboptions)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_joboptions)"; \
	  test ! -f $(cmt_local_setup_install_joboptions) || \rm -f $(cmt_local_setup_install_joboptions); \
	  trap '\rm -f $(cmt_local_setup_install_joboptions)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_joboptions_extratags) show setup >$(cmt_local_setup_install_joboptions) && \
	  if [ -f $(cmt_final_setup_install_joboptions) ] && \
	    \cmp -s $(cmt_final_setup_install_joboptions) $(cmt_local_setup_install_joboptions); then \
	    \rm $(cmt_local_setup_install_joboptions); else \
	    \mv -f $(cmt_local_setup_install_joboptions) $(cmt_final_setup_install_joboptions); fi

else

#cmt_local_tagfile_install_joboptions = $(AtlantisJava_tag).make
cmt_local_tagfile_install_joboptions = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_joboptions = $(bin)setup.make
#cmt_final_setup_install_joboptions = $(bin)AtlantisJavasetup.make
cmt_local_install_joboptions_makefile = $(bin)install_joboptions.make

endif

ifdef STRUCTURED_OUTPUT
install_joboptionsdirs :
	@if test ! -d $(bin)install_joboptions; then $(mkdir) -p $(bin)install_joboptions; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_joboptions
else
install_joboptionsdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_joboptionsdirs ::
#	@if test ! -d $(bin)install_joboptions; then $(mkdir) -p $(bin)install_joboptions; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_joboptions
#
#$(cmt_local_install_joboptions_makefile) :: $(install_joboptions_dependencies) $(cmt_local_tagfile_install_joboptions) build_library_links dirs install_joboptionsdirs
#else
#$(cmt_local_install_joboptions_makefile) :: $(install_joboptions_dependencies) $(cmt_local_tagfile_install_joboptions) build_library_links dirs
#endif
#else
#$(cmt_local_install_joboptions_makefile) :: $(cmt_local_tagfile_install_joboptions)
#endif

ifdef cmt_install_joboptions_has_target_tag

ifndef QUICK
$(cmt_local_install_joboptions_makefile) : $(install_joboptions_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_joboptions.make"; \
	  $(cmtexe) -tag=$(tags) $(install_joboptions_extratags) build constituent_config -out=$(cmt_local_install_joboptions_makefile) install_joboptions
else
$(cmt_local_install_joboptions_makefile) : $(install_joboptions_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_joboptions) ] || \
	  [ ! -f $(cmt_final_setup_install_joboptions) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_joboptions.make"; \
	  $(cmtexe) -tag=$(tags) $(install_joboptions_extratags) build constituent_config -out=$(cmt_local_install_joboptions_makefile) install_joboptions; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_joboptions_makefile) : $(install_joboptions_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_joboptions.make"; \
	  $(cmtexe) -f=$(bin)install_joboptions.in -tag=$(tags) $(install_joboptions_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_joboptions_makefile) install_joboptions
else
$(cmt_local_install_joboptions_makefile) : $(install_joboptions_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_joboptions) ] || \
	  [ ! -f $(cmt_final_setup_install_joboptions) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_joboptions.make"; \
	  $(cmtexe) -f=$(bin)install_joboptions.in -tag=$(tags) $(install_joboptions_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_joboptions_makefile) install_joboptions; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_joboptions_extratags) build constituent_makefile -out=$(cmt_local_install_joboptions_makefile) install_joboptions

install_joboptions :: $(install_joboptions_dependencies) $(cmt_local_install_joboptions_makefile) dirs install_joboptionsdirs
	$(echo) "(constituents.make) Starting install_joboptions"
	@$(MAKE) -f $(cmt_local_install_joboptions_makefile) install_joboptions
	$(echo) "(constituents.make) install_joboptions done"

clean :: install_joboptionsclean

install_joboptionsclean :: $(install_joboptionsclean_dependencies) ##$(cmt_local_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting install_joboptionsclean"
	@-if test -f $(cmt_local_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_install_joboptions_makefile) install_joboptionsclean; \
	fi
	$(echo) "(constituents.make) install_joboptionsclean done"
#	@-$(MAKE) -f $(cmt_local_install_joboptions_makefile) install_joboptionsclean

##	  /bin/rm -f $(cmt_local_install_joboptions_makefile) $(bin)install_joboptions_dependencies.make

install :: install_joboptionsinstall

install_joboptionsinstall :: $(install_joboptions_dependencies) $(cmt_local_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting install install_joboptions"
	@-$(MAKE) -f $(cmt_local_install_joboptions_makefile) install
	$(echo) "(constituents.make) install install_joboptions done"

uninstall :: install_joboptionsuninstall

$(foreach d,$(install_joboptions_dependencies),$(eval $(d)uninstall_dependencies += install_joboptionsuninstall))

install_joboptionsuninstall :: $(install_joboptionsuninstall_dependencies) $(cmt_local_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting uninstall install_joboptions"
	@$(MAKE) -f $(cmt_local_install_joboptions_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_joboptions done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_joboptions"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_joboptions done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_jar_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_jar_has_target_tag

#cmt_local_tagfile_install_jar = $(AtlantisJava_tag)_install_jar.make
cmt_local_tagfile_install_jar = $(bin)$(AtlantisJava_tag)_install_jar.make
cmt_local_setup_install_jar = $(bin)setup_install_jar$$$$.make
cmt_final_setup_install_jar = $(bin)setup_install_jar.make
#cmt_final_setup_install_jar = $(bin)AtlantisJava_install_jarsetup.make
cmt_local_install_jar_makefile = $(bin)install_jar.make

install_jar_extratags = -tag_add=target_install_jar

#$(cmt_local_tagfile_install_jar) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_jar) ::
else
$(cmt_local_tagfile_install_jar) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_jar); then /bin/rm -f $(cmt_local_tagfile_install_jar); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_jar_extratags) build tag_makefile >>$(cmt_local_tagfile_install_jar)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_jar)"; \
	  test ! -f $(cmt_local_setup_install_jar) || \rm -f $(cmt_local_setup_install_jar); \
	  trap '\rm -f $(cmt_local_setup_install_jar)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_jar_extratags) show setup >$(cmt_local_setup_install_jar) && \
	  if [ -f $(cmt_final_setup_install_jar) ] && \
	    \cmp -s $(cmt_final_setup_install_jar) $(cmt_local_setup_install_jar); then \
	    \rm $(cmt_local_setup_install_jar); else \
	    \mv -f $(cmt_local_setup_install_jar) $(cmt_final_setup_install_jar); fi

else

#cmt_local_tagfile_install_jar = $(AtlantisJava_tag).make
cmt_local_tagfile_install_jar = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_jar = $(bin)setup.make
#cmt_final_setup_install_jar = $(bin)AtlantisJavasetup.make
cmt_local_install_jar_makefile = $(bin)install_jar.make

endif

ifdef STRUCTURED_OUTPUT
install_jardirs :
	@if test ! -d $(bin)install_jar; then $(mkdir) -p $(bin)install_jar; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_jar
else
install_jardirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_jardirs ::
#	@if test ! -d $(bin)install_jar; then $(mkdir) -p $(bin)install_jar; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_jar
#
#$(cmt_local_install_jar_makefile) :: $(install_jar_dependencies) $(cmt_local_tagfile_install_jar) build_library_links dirs install_jardirs
#else
#$(cmt_local_install_jar_makefile) :: $(install_jar_dependencies) $(cmt_local_tagfile_install_jar) build_library_links dirs
#endif
#else
#$(cmt_local_install_jar_makefile) :: $(cmt_local_tagfile_install_jar)
#endif

ifdef cmt_install_jar_has_target_tag

ifndef QUICK
$(cmt_local_install_jar_makefile) : $(install_jar_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_jar.make"; \
	  $(cmtexe) -tag=$(tags) $(install_jar_extratags) build constituent_config -out=$(cmt_local_install_jar_makefile) install_jar
else
$(cmt_local_install_jar_makefile) : $(install_jar_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_jar) ] || \
	  [ ! -f $(cmt_final_setup_install_jar) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_jar.make"; \
	  $(cmtexe) -tag=$(tags) $(install_jar_extratags) build constituent_config -out=$(cmt_local_install_jar_makefile) install_jar; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_jar_makefile) : $(install_jar_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_jar.make"; \
	  $(cmtexe) -f=$(bin)install_jar.in -tag=$(tags) $(install_jar_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_jar_makefile) install_jar
else
$(cmt_local_install_jar_makefile) : $(install_jar_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_jar) ] || \
	  [ ! -f $(cmt_final_setup_install_jar) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_jar.make"; \
	  $(cmtexe) -f=$(bin)install_jar.in -tag=$(tags) $(install_jar_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_jar_makefile) install_jar; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_jar_extratags) build constituent_makefile -out=$(cmt_local_install_jar_makefile) install_jar

install_jar :: $(install_jar_dependencies) $(cmt_local_install_jar_makefile) dirs install_jardirs
	$(echo) "(constituents.make) Starting install_jar"
	@$(MAKE) -f $(cmt_local_install_jar_makefile) install_jar
	$(echo) "(constituents.make) install_jar done"

clean :: install_jarclean

install_jarclean :: $(install_jarclean_dependencies) ##$(cmt_local_install_jar_makefile)
	$(echo) "(constituents.make) Starting install_jarclean"
	@-if test -f $(cmt_local_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_install_jar_makefile) install_jarclean; \
	fi
	$(echo) "(constituents.make) install_jarclean done"
#	@-$(MAKE) -f $(cmt_local_install_jar_makefile) install_jarclean

##	  /bin/rm -f $(cmt_local_install_jar_makefile) $(bin)install_jar_dependencies.make

install :: install_jarinstall

install_jarinstall :: $(install_jar_dependencies) $(cmt_local_install_jar_makefile)
	$(echo) "(constituents.make) Starting install install_jar"
	@-$(MAKE) -f $(cmt_local_install_jar_makefile) install
	$(echo) "(constituents.make) install install_jar done"

uninstall :: install_jaruninstall

$(foreach d,$(install_jar_dependencies),$(eval $(d)uninstall_dependencies += install_jaruninstall))

install_jaruninstall :: $(install_jaruninstall_dependencies) $(cmt_local_install_jar_makefile)
	$(echo) "(constituents.make) Starting uninstall install_jar"
	@$(MAKE) -f $(cmt_local_install_jar_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_jar done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_jar"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_jar done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_lib_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_lib_has_target_tag

#cmt_local_tagfile_install_lib = $(AtlantisJava_tag)_install_lib.make
cmt_local_tagfile_install_lib = $(bin)$(AtlantisJava_tag)_install_lib.make
cmt_local_setup_install_lib = $(bin)setup_install_lib$$$$.make
cmt_final_setup_install_lib = $(bin)setup_install_lib.make
#cmt_final_setup_install_lib = $(bin)AtlantisJava_install_libsetup.make
cmt_local_install_lib_makefile = $(bin)install_lib.make

install_lib_extratags = -tag_add=target_install_lib

#$(cmt_local_tagfile_install_lib) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_lib) ::
else
$(cmt_local_tagfile_install_lib) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_lib); then /bin/rm -f $(cmt_local_tagfile_install_lib); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_lib_extratags) build tag_makefile >>$(cmt_local_tagfile_install_lib)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_lib)"; \
	  test ! -f $(cmt_local_setup_install_lib) || \rm -f $(cmt_local_setup_install_lib); \
	  trap '\rm -f $(cmt_local_setup_install_lib)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_lib_extratags) show setup >$(cmt_local_setup_install_lib) && \
	  if [ -f $(cmt_final_setup_install_lib) ] && \
	    \cmp -s $(cmt_final_setup_install_lib) $(cmt_local_setup_install_lib); then \
	    \rm $(cmt_local_setup_install_lib); else \
	    \mv -f $(cmt_local_setup_install_lib) $(cmt_final_setup_install_lib); fi

else

#cmt_local_tagfile_install_lib = $(AtlantisJava_tag).make
cmt_local_tagfile_install_lib = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_lib = $(bin)setup.make
#cmt_final_setup_install_lib = $(bin)AtlantisJavasetup.make
cmt_local_install_lib_makefile = $(bin)install_lib.make

endif

ifdef STRUCTURED_OUTPUT
install_libdirs :
	@if test ! -d $(bin)install_lib; then $(mkdir) -p $(bin)install_lib; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_lib
else
install_libdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_libdirs ::
#	@if test ! -d $(bin)install_lib; then $(mkdir) -p $(bin)install_lib; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_lib
#
#$(cmt_local_install_lib_makefile) :: $(install_lib_dependencies) $(cmt_local_tagfile_install_lib) build_library_links dirs install_libdirs
#else
#$(cmt_local_install_lib_makefile) :: $(install_lib_dependencies) $(cmt_local_tagfile_install_lib) build_library_links dirs
#endif
#else
#$(cmt_local_install_lib_makefile) :: $(cmt_local_tagfile_install_lib)
#endif

ifdef cmt_install_lib_has_target_tag

ifndef QUICK
$(cmt_local_install_lib_makefile) : $(install_lib_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_lib.make"; \
	  $(cmtexe) -tag=$(tags) $(install_lib_extratags) build constituent_config -out=$(cmt_local_install_lib_makefile) install_lib
else
$(cmt_local_install_lib_makefile) : $(install_lib_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_lib) ] || \
	  [ ! -f $(cmt_final_setup_install_lib) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_lib.make"; \
	  $(cmtexe) -tag=$(tags) $(install_lib_extratags) build constituent_config -out=$(cmt_local_install_lib_makefile) install_lib; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_lib_makefile) : $(install_lib_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_lib.make"; \
	  $(cmtexe) -f=$(bin)install_lib.in -tag=$(tags) $(install_lib_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_lib_makefile) install_lib
else
$(cmt_local_install_lib_makefile) : $(install_lib_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_lib) ] || \
	  [ ! -f $(cmt_final_setup_install_lib) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_lib.make"; \
	  $(cmtexe) -f=$(bin)install_lib.in -tag=$(tags) $(install_lib_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_lib_makefile) install_lib; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_lib_extratags) build constituent_makefile -out=$(cmt_local_install_lib_makefile) install_lib

install_lib :: $(install_lib_dependencies) $(cmt_local_install_lib_makefile) dirs install_libdirs
	$(echo) "(constituents.make) Starting install_lib"
	@$(MAKE) -f $(cmt_local_install_lib_makefile) install_lib
	$(echo) "(constituents.make) install_lib done"

clean :: install_libclean

install_libclean :: $(install_libclean_dependencies) ##$(cmt_local_install_lib_makefile)
	$(echo) "(constituents.make) Starting install_libclean"
	@-if test -f $(cmt_local_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_install_lib_makefile) install_libclean; \
	fi
	$(echo) "(constituents.make) install_libclean done"
#	@-$(MAKE) -f $(cmt_local_install_lib_makefile) install_libclean

##	  /bin/rm -f $(cmt_local_install_lib_makefile) $(bin)install_lib_dependencies.make

install :: install_libinstall

install_libinstall :: $(install_lib_dependencies) $(cmt_local_install_lib_makefile)
	$(echo) "(constituents.make) Starting install install_lib"
	@-$(MAKE) -f $(cmt_local_install_lib_makefile) install
	$(echo) "(constituents.make) install install_lib done"

uninstall :: install_libuninstall

$(foreach d,$(install_lib_dependencies),$(eval $(d)uninstall_dependencies += install_libuninstall))

install_libuninstall :: $(install_libuninstall_dependencies) $(cmt_local_install_lib_makefile)
	$(echo) "(constituents.make) Starting uninstall install_lib"
	@$(MAKE) -f $(cmt_local_install_lib_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_lib done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_lib"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_lib done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_img_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_img_has_target_tag

#cmt_local_tagfile_install_img = $(AtlantisJava_tag)_install_img.make
cmt_local_tagfile_install_img = $(bin)$(AtlantisJava_tag)_install_img.make
cmt_local_setup_install_img = $(bin)setup_install_img$$$$.make
cmt_final_setup_install_img = $(bin)setup_install_img.make
#cmt_final_setup_install_img = $(bin)AtlantisJava_install_imgsetup.make
cmt_local_install_img_makefile = $(bin)install_img.make

install_img_extratags = -tag_add=target_install_img

#$(cmt_local_tagfile_install_img) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_img) ::
else
$(cmt_local_tagfile_install_img) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_img); then /bin/rm -f $(cmt_local_tagfile_install_img); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_img_extratags) build tag_makefile >>$(cmt_local_tagfile_install_img)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_img)"; \
	  test ! -f $(cmt_local_setup_install_img) || \rm -f $(cmt_local_setup_install_img); \
	  trap '\rm -f $(cmt_local_setup_install_img)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_img_extratags) show setup >$(cmt_local_setup_install_img) && \
	  if [ -f $(cmt_final_setup_install_img) ] && \
	    \cmp -s $(cmt_final_setup_install_img) $(cmt_local_setup_install_img); then \
	    \rm $(cmt_local_setup_install_img); else \
	    \mv -f $(cmt_local_setup_install_img) $(cmt_final_setup_install_img); fi

else

#cmt_local_tagfile_install_img = $(AtlantisJava_tag).make
cmt_local_tagfile_install_img = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_img = $(bin)setup.make
#cmt_final_setup_install_img = $(bin)AtlantisJavasetup.make
cmt_local_install_img_makefile = $(bin)install_img.make

endif

ifdef STRUCTURED_OUTPUT
install_imgdirs :
	@if test ! -d $(bin)install_img; then $(mkdir) -p $(bin)install_img; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_img
else
install_imgdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_imgdirs ::
#	@if test ! -d $(bin)install_img; then $(mkdir) -p $(bin)install_img; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_img
#
#$(cmt_local_install_img_makefile) :: $(install_img_dependencies) $(cmt_local_tagfile_install_img) build_library_links dirs install_imgdirs
#else
#$(cmt_local_install_img_makefile) :: $(install_img_dependencies) $(cmt_local_tagfile_install_img) build_library_links dirs
#endif
#else
#$(cmt_local_install_img_makefile) :: $(cmt_local_tagfile_install_img)
#endif

ifdef cmt_install_img_has_target_tag

ifndef QUICK
$(cmt_local_install_img_makefile) : $(install_img_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_img.make"; \
	  $(cmtexe) -tag=$(tags) $(install_img_extratags) build constituent_config -out=$(cmt_local_install_img_makefile) install_img
else
$(cmt_local_install_img_makefile) : $(install_img_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_img) ] || \
	  [ ! -f $(cmt_final_setup_install_img) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_img.make"; \
	  $(cmtexe) -tag=$(tags) $(install_img_extratags) build constituent_config -out=$(cmt_local_install_img_makefile) install_img; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_img_makefile) : $(install_img_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_img.make"; \
	  $(cmtexe) -f=$(bin)install_img.in -tag=$(tags) $(install_img_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_img_makefile) install_img
else
$(cmt_local_install_img_makefile) : $(install_img_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_img) ] || \
	  [ ! -f $(cmt_final_setup_install_img) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_img.make"; \
	  $(cmtexe) -f=$(bin)install_img.in -tag=$(tags) $(install_img_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_img_makefile) install_img; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_img_extratags) build constituent_makefile -out=$(cmt_local_install_img_makefile) install_img

install_img :: $(install_img_dependencies) $(cmt_local_install_img_makefile) dirs install_imgdirs
	$(echo) "(constituents.make) Starting install_img"
	@$(MAKE) -f $(cmt_local_install_img_makefile) install_img
	$(echo) "(constituents.make) install_img done"

clean :: install_imgclean

install_imgclean :: $(install_imgclean_dependencies) ##$(cmt_local_install_img_makefile)
	$(echo) "(constituents.make) Starting install_imgclean"
	@-if test -f $(cmt_local_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_install_img_makefile) install_imgclean; \
	fi
	$(echo) "(constituents.make) install_imgclean done"
#	@-$(MAKE) -f $(cmt_local_install_img_makefile) install_imgclean

##	  /bin/rm -f $(cmt_local_install_img_makefile) $(bin)install_img_dependencies.make

install :: install_imginstall

install_imginstall :: $(install_img_dependencies) $(cmt_local_install_img_makefile)
	$(echo) "(constituents.make) Starting install install_img"
	@-$(MAKE) -f $(cmt_local_install_img_makefile) install
	$(echo) "(constituents.make) install install_img done"

uninstall :: install_imguninstall

$(foreach d,$(install_img_dependencies),$(eval $(d)uninstall_dependencies += install_imguninstall))

install_imguninstall :: $(install_imguninstall_dependencies) $(cmt_local_install_img_makefile)
	$(echo) "(constituents.make) Starting uninstall install_img"
	@$(MAKE) -f $(cmt_local_install_img_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_img done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_img"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_img done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_configuration_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_configuration_has_target_tag

#cmt_local_tagfile_install_configuration = $(AtlantisJava_tag)_install_configuration.make
cmt_local_tagfile_install_configuration = $(bin)$(AtlantisJava_tag)_install_configuration.make
cmt_local_setup_install_configuration = $(bin)setup_install_configuration$$$$.make
cmt_final_setup_install_configuration = $(bin)setup_install_configuration.make
#cmt_final_setup_install_configuration = $(bin)AtlantisJava_install_configurationsetup.make
cmt_local_install_configuration_makefile = $(bin)install_configuration.make

install_configuration_extratags = -tag_add=target_install_configuration

#$(cmt_local_tagfile_install_configuration) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_configuration) ::
else
$(cmt_local_tagfile_install_configuration) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_configuration); then /bin/rm -f $(cmt_local_tagfile_install_configuration); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_configuration_extratags) build tag_makefile >>$(cmt_local_tagfile_install_configuration)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_configuration)"; \
	  test ! -f $(cmt_local_setup_install_configuration) || \rm -f $(cmt_local_setup_install_configuration); \
	  trap '\rm -f $(cmt_local_setup_install_configuration)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_configuration_extratags) show setup >$(cmt_local_setup_install_configuration) && \
	  if [ -f $(cmt_final_setup_install_configuration) ] && \
	    \cmp -s $(cmt_final_setup_install_configuration) $(cmt_local_setup_install_configuration); then \
	    \rm $(cmt_local_setup_install_configuration); else \
	    \mv -f $(cmt_local_setup_install_configuration) $(cmt_final_setup_install_configuration); fi

else

#cmt_local_tagfile_install_configuration = $(AtlantisJava_tag).make
cmt_local_tagfile_install_configuration = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_configuration = $(bin)setup.make
#cmt_final_setup_install_configuration = $(bin)AtlantisJavasetup.make
cmt_local_install_configuration_makefile = $(bin)install_configuration.make

endif

ifdef STRUCTURED_OUTPUT
install_configurationdirs :
	@if test ! -d $(bin)install_configuration; then $(mkdir) -p $(bin)install_configuration; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_configuration
else
install_configurationdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_configurationdirs ::
#	@if test ! -d $(bin)install_configuration; then $(mkdir) -p $(bin)install_configuration; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_configuration
#
#$(cmt_local_install_configuration_makefile) :: $(install_configuration_dependencies) $(cmt_local_tagfile_install_configuration) build_library_links dirs install_configurationdirs
#else
#$(cmt_local_install_configuration_makefile) :: $(install_configuration_dependencies) $(cmt_local_tagfile_install_configuration) build_library_links dirs
#endif
#else
#$(cmt_local_install_configuration_makefile) :: $(cmt_local_tagfile_install_configuration)
#endif

ifdef cmt_install_configuration_has_target_tag

ifndef QUICK
$(cmt_local_install_configuration_makefile) : $(install_configuration_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_configuration.make"; \
	  $(cmtexe) -tag=$(tags) $(install_configuration_extratags) build constituent_config -out=$(cmt_local_install_configuration_makefile) install_configuration
else
$(cmt_local_install_configuration_makefile) : $(install_configuration_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_configuration) ] || \
	  [ ! -f $(cmt_final_setup_install_configuration) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_configuration.make"; \
	  $(cmtexe) -tag=$(tags) $(install_configuration_extratags) build constituent_config -out=$(cmt_local_install_configuration_makefile) install_configuration; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_configuration_makefile) : $(install_configuration_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_configuration.make"; \
	  $(cmtexe) -f=$(bin)install_configuration.in -tag=$(tags) $(install_configuration_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_configuration_makefile) install_configuration
else
$(cmt_local_install_configuration_makefile) : $(install_configuration_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_configuration) ] || \
	  [ ! -f $(cmt_final_setup_install_configuration) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_configuration.make"; \
	  $(cmtexe) -f=$(bin)install_configuration.in -tag=$(tags) $(install_configuration_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_configuration_makefile) install_configuration; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_configuration_extratags) build constituent_makefile -out=$(cmt_local_install_configuration_makefile) install_configuration

install_configuration :: $(install_configuration_dependencies) $(cmt_local_install_configuration_makefile) dirs install_configurationdirs
	$(echo) "(constituents.make) Starting install_configuration"
	@$(MAKE) -f $(cmt_local_install_configuration_makefile) install_configuration
	$(echo) "(constituents.make) install_configuration done"

clean :: install_configurationclean

install_configurationclean :: $(install_configurationclean_dependencies) ##$(cmt_local_install_configuration_makefile)
	$(echo) "(constituents.make) Starting install_configurationclean"
	@-if test -f $(cmt_local_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_install_configuration_makefile) install_configurationclean; \
	fi
	$(echo) "(constituents.make) install_configurationclean done"
#	@-$(MAKE) -f $(cmt_local_install_configuration_makefile) install_configurationclean

##	  /bin/rm -f $(cmt_local_install_configuration_makefile) $(bin)install_configuration_dependencies.make

install :: install_configurationinstall

install_configurationinstall :: $(install_configuration_dependencies) $(cmt_local_install_configuration_makefile)
	$(echo) "(constituents.make) Starting install install_configuration"
	@-$(MAKE) -f $(cmt_local_install_configuration_makefile) install
	$(echo) "(constituents.make) install install_configuration done"

uninstall :: install_configurationuninstall

$(foreach d,$(install_configuration_dependencies),$(eval $(d)uninstall_dependencies += install_configurationuninstall))

install_configurationuninstall :: $(install_configurationuninstall_dependencies) $(cmt_local_install_configuration_makefile)
	$(echo) "(constituents.make) Starting uninstall install_configuration"
	@$(MAKE) -f $(cmt_local_install_configuration_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_configuration done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_configuration"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_configuration done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_events_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_events_has_target_tag

#cmt_local_tagfile_install_events = $(AtlantisJava_tag)_install_events.make
cmt_local_tagfile_install_events = $(bin)$(AtlantisJava_tag)_install_events.make
cmt_local_setup_install_events = $(bin)setup_install_events$$$$.make
cmt_final_setup_install_events = $(bin)setup_install_events.make
#cmt_final_setup_install_events = $(bin)AtlantisJava_install_eventssetup.make
cmt_local_install_events_makefile = $(bin)install_events.make

install_events_extratags = -tag_add=target_install_events

#$(cmt_local_tagfile_install_events) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_events) ::
else
$(cmt_local_tagfile_install_events) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_events); then /bin/rm -f $(cmt_local_tagfile_install_events); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_events_extratags) build tag_makefile >>$(cmt_local_tagfile_install_events)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_events)"; \
	  test ! -f $(cmt_local_setup_install_events) || \rm -f $(cmt_local_setup_install_events); \
	  trap '\rm -f $(cmt_local_setup_install_events)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_events_extratags) show setup >$(cmt_local_setup_install_events) && \
	  if [ -f $(cmt_final_setup_install_events) ] && \
	    \cmp -s $(cmt_final_setup_install_events) $(cmt_local_setup_install_events); then \
	    \rm $(cmt_local_setup_install_events); else \
	    \mv -f $(cmt_local_setup_install_events) $(cmt_final_setup_install_events); fi

else

#cmt_local_tagfile_install_events = $(AtlantisJava_tag).make
cmt_local_tagfile_install_events = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_events = $(bin)setup.make
#cmt_final_setup_install_events = $(bin)AtlantisJavasetup.make
cmt_local_install_events_makefile = $(bin)install_events.make

endif

ifdef STRUCTURED_OUTPUT
install_eventsdirs :
	@if test ! -d $(bin)install_events; then $(mkdir) -p $(bin)install_events; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_events
else
install_eventsdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_eventsdirs ::
#	@if test ! -d $(bin)install_events; then $(mkdir) -p $(bin)install_events; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_events
#
#$(cmt_local_install_events_makefile) :: $(install_events_dependencies) $(cmt_local_tagfile_install_events) build_library_links dirs install_eventsdirs
#else
#$(cmt_local_install_events_makefile) :: $(install_events_dependencies) $(cmt_local_tagfile_install_events) build_library_links dirs
#endif
#else
#$(cmt_local_install_events_makefile) :: $(cmt_local_tagfile_install_events)
#endif

ifdef cmt_install_events_has_target_tag

ifndef QUICK
$(cmt_local_install_events_makefile) : $(install_events_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_events.make"; \
	  $(cmtexe) -tag=$(tags) $(install_events_extratags) build constituent_config -out=$(cmt_local_install_events_makefile) install_events
else
$(cmt_local_install_events_makefile) : $(install_events_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_events) ] || \
	  [ ! -f $(cmt_final_setup_install_events) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_events.make"; \
	  $(cmtexe) -tag=$(tags) $(install_events_extratags) build constituent_config -out=$(cmt_local_install_events_makefile) install_events; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_events_makefile) : $(install_events_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_events.make"; \
	  $(cmtexe) -f=$(bin)install_events.in -tag=$(tags) $(install_events_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_events_makefile) install_events
else
$(cmt_local_install_events_makefile) : $(install_events_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_events) ] || \
	  [ ! -f $(cmt_final_setup_install_events) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_events.make"; \
	  $(cmtexe) -f=$(bin)install_events.in -tag=$(tags) $(install_events_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_events_makefile) install_events; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_events_extratags) build constituent_makefile -out=$(cmt_local_install_events_makefile) install_events

install_events :: $(install_events_dependencies) $(cmt_local_install_events_makefile) dirs install_eventsdirs
	$(echo) "(constituents.make) Starting install_events"
	@$(MAKE) -f $(cmt_local_install_events_makefile) install_events
	$(echo) "(constituents.make) install_events done"

clean :: install_eventsclean

install_eventsclean :: $(install_eventsclean_dependencies) ##$(cmt_local_install_events_makefile)
	$(echo) "(constituents.make) Starting install_eventsclean"
	@-if test -f $(cmt_local_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_install_events_makefile) install_eventsclean; \
	fi
	$(echo) "(constituents.make) install_eventsclean done"
#	@-$(MAKE) -f $(cmt_local_install_events_makefile) install_eventsclean

##	  /bin/rm -f $(cmt_local_install_events_makefile) $(bin)install_events_dependencies.make

install :: install_eventsinstall

install_eventsinstall :: $(install_events_dependencies) $(cmt_local_install_events_makefile)
	$(echo) "(constituents.make) Starting install install_events"
	@-$(MAKE) -f $(cmt_local_install_events_makefile) install
	$(echo) "(constituents.make) install install_events done"

uninstall :: install_eventsuninstall

$(foreach d,$(install_events_dependencies),$(eval $(d)uninstall_dependencies += install_eventsuninstall))

install_eventsuninstall :: $(install_eventsuninstall_dependencies) $(cmt_local_install_events_makefile)
	$(echo) "(constituents.make) Starting uninstall install_events"
	@$(MAKE) -f $(cmt_local_install_events_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_events done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_events"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_events done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_geometry_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_geometry_has_target_tag

#cmt_local_tagfile_install_geometry = $(AtlantisJava_tag)_install_geometry.make
cmt_local_tagfile_install_geometry = $(bin)$(AtlantisJava_tag)_install_geometry.make
cmt_local_setup_install_geometry = $(bin)setup_install_geometry$$$$.make
cmt_final_setup_install_geometry = $(bin)setup_install_geometry.make
#cmt_final_setup_install_geometry = $(bin)AtlantisJava_install_geometrysetup.make
cmt_local_install_geometry_makefile = $(bin)install_geometry.make

install_geometry_extratags = -tag_add=target_install_geometry

#$(cmt_local_tagfile_install_geometry) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_geometry) ::
else
$(cmt_local_tagfile_install_geometry) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_geometry); then /bin/rm -f $(cmt_local_tagfile_install_geometry); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_geometry_extratags) build tag_makefile >>$(cmt_local_tagfile_install_geometry)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_geometry)"; \
	  test ! -f $(cmt_local_setup_install_geometry) || \rm -f $(cmt_local_setup_install_geometry); \
	  trap '\rm -f $(cmt_local_setup_install_geometry)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_geometry_extratags) show setup >$(cmt_local_setup_install_geometry) && \
	  if [ -f $(cmt_final_setup_install_geometry) ] && \
	    \cmp -s $(cmt_final_setup_install_geometry) $(cmt_local_setup_install_geometry); then \
	    \rm $(cmt_local_setup_install_geometry); else \
	    \mv -f $(cmt_local_setup_install_geometry) $(cmt_final_setup_install_geometry); fi

else

#cmt_local_tagfile_install_geometry = $(AtlantisJava_tag).make
cmt_local_tagfile_install_geometry = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_geometry = $(bin)setup.make
#cmt_final_setup_install_geometry = $(bin)AtlantisJavasetup.make
cmt_local_install_geometry_makefile = $(bin)install_geometry.make

endif

ifdef STRUCTURED_OUTPUT
install_geometrydirs :
	@if test ! -d $(bin)install_geometry; then $(mkdir) -p $(bin)install_geometry; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_geometry
else
install_geometrydirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_geometrydirs ::
#	@if test ! -d $(bin)install_geometry; then $(mkdir) -p $(bin)install_geometry; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_geometry
#
#$(cmt_local_install_geometry_makefile) :: $(install_geometry_dependencies) $(cmt_local_tagfile_install_geometry) build_library_links dirs install_geometrydirs
#else
#$(cmt_local_install_geometry_makefile) :: $(install_geometry_dependencies) $(cmt_local_tagfile_install_geometry) build_library_links dirs
#endif
#else
#$(cmt_local_install_geometry_makefile) :: $(cmt_local_tagfile_install_geometry)
#endif

ifdef cmt_install_geometry_has_target_tag

ifndef QUICK
$(cmt_local_install_geometry_makefile) : $(install_geometry_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_geometry.make"; \
	  $(cmtexe) -tag=$(tags) $(install_geometry_extratags) build constituent_config -out=$(cmt_local_install_geometry_makefile) install_geometry
else
$(cmt_local_install_geometry_makefile) : $(install_geometry_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_geometry) ] || \
	  [ ! -f $(cmt_final_setup_install_geometry) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_geometry.make"; \
	  $(cmtexe) -tag=$(tags) $(install_geometry_extratags) build constituent_config -out=$(cmt_local_install_geometry_makefile) install_geometry; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_geometry_makefile) : $(install_geometry_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_geometry.make"; \
	  $(cmtexe) -f=$(bin)install_geometry.in -tag=$(tags) $(install_geometry_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_geometry_makefile) install_geometry
else
$(cmt_local_install_geometry_makefile) : $(install_geometry_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_geometry) ] || \
	  [ ! -f $(cmt_final_setup_install_geometry) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_geometry.make"; \
	  $(cmtexe) -f=$(bin)install_geometry.in -tag=$(tags) $(install_geometry_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_geometry_makefile) install_geometry; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_geometry_extratags) build constituent_makefile -out=$(cmt_local_install_geometry_makefile) install_geometry

install_geometry :: $(install_geometry_dependencies) $(cmt_local_install_geometry_makefile) dirs install_geometrydirs
	$(echo) "(constituents.make) Starting install_geometry"
	@$(MAKE) -f $(cmt_local_install_geometry_makefile) install_geometry
	$(echo) "(constituents.make) install_geometry done"

clean :: install_geometryclean

install_geometryclean :: $(install_geometryclean_dependencies) ##$(cmt_local_install_geometry_makefile)
	$(echo) "(constituents.make) Starting install_geometryclean"
	@-if test -f $(cmt_local_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_install_geometry_makefile) install_geometryclean; \
	fi
	$(echo) "(constituents.make) install_geometryclean done"
#	@-$(MAKE) -f $(cmt_local_install_geometry_makefile) install_geometryclean

##	  /bin/rm -f $(cmt_local_install_geometry_makefile) $(bin)install_geometry_dependencies.make

install :: install_geometryinstall

install_geometryinstall :: $(install_geometry_dependencies) $(cmt_local_install_geometry_makefile)
	$(echo) "(constituents.make) Starting install install_geometry"
	@-$(MAKE) -f $(cmt_local_install_geometry_makefile) install
	$(echo) "(constituents.make) install install_geometry done"

uninstall :: install_geometryuninstall

$(foreach d,$(install_geometry_dependencies),$(eval $(d)uninstall_dependencies += install_geometryuninstall))

install_geometryuninstall :: $(install_geometryuninstall_dependencies) $(cmt_local_install_geometry_makefile)
	$(echo) "(constituents.make) Starting uninstall install_geometry"
	@$(MAKE) -f $(cmt_local_install_geometry_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_geometry done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_geometry"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_geometry done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_help_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_help_has_target_tag

#cmt_local_tagfile_install_help = $(AtlantisJava_tag)_install_help.make
cmt_local_tagfile_install_help = $(bin)$(AtlantisJava_tag)_install_help.make
cmt_local_setup_install_help = $(bin)setup_install_help$$$$.make
cmt_final_setup_install_help = $(bin)setup_install_help.make
#cmt_final_setup_install_help = $(bin)AtlantisJava_install_helpsetup.make
cmt_local_install_help_makefile = $(bin)install_help.make

install_help_extratags = -tag_add=target_install_help

#$(cmt_local_tagfile_install_help) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_help) ::
else
$(cmt_local_tagfile_install_help) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_help); then /bin/rm -f $(cmt_local_tagfile_install_help); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_help_extratags) build tag_makefile >>$(cmt_local_tagfile_install_help)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_help)"; \
	  test ! -f $(cmt_local_setup_install_help) || \rm -f $(cmt_local_setup_install_help); \
	  trap '\rm -f $(cmt_local_setup_install_help)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_help_extratags) show setup >$(cmt_local_setup_install_help) && \
	  if [ -f $(cmt_final_setup_install_help) ] && \
	    \cmp -s $(cmt_final_setup_install_help) $(cmt_local_setup_install_help); then \
	    \rm $(cmt_local_setup_install_help); else \
	    \mv -f $(cmt_local_setup_install_help) $(cmt_final_setup_install_help); fi

else

#cmt_local_tagfile_install_help = $(AtlantisJava_tag).make
cmt_local_tagfile_install_help = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_help = $(bin)setup.make
#cmt_final_setup_install_help = $(bin)AtlantisJavasetup.make
cmt_local_install_help_makefile = $(bin)install_help.make

endif

ifdef STRUCTURED_OUTPUT
install_helpdirs :
	@if test ! -d $(bin)install_help; then $(mkdir) -p $(bin)install_help; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_help
else
install_helpdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_helpdirs ::
#	@if test ! -d $(bin)install_help; then $(mkdir) -p $(bin)install_help; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_help
#
#$(cmt_local_install_help_makefile) :: $(install_help_dependencies) $(cmt_local_tagfile_install_help) build_library_links dirs install_helpdirs
#else
#$(cmt_local_install_help_makefile) :: $(install_help_dependencies) $(cmt_local_tagfile_install_help) build_library_links dirs
#endif
#else
#$(cmt_local_install_help_makefile) :: $(cmt_local_tagfile_install_help)
#endif

ifdef cmt_install_help_has_target_tag

ifndef QUICK
$(cmt_local_install_help_makefile) : $(install_help_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_help.make"; \
	  $(cmtexe) -tag=$(tags) $(install_help_extratags) build constituent_config -out=$(cmt_local_install_help_makefile) install_help
else
$(cmt_local_install_help_makefile) : $(install_help_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_help) ] || \
	  [ ! -f $(cmt_final_setup_install_help) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_help.make"; \
	  $(cmtexe) -tag=$(tags) $(install_help_extratags) build constituent_config -out=$(cmt_local_install_help_makefile) install_help; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_help_makefile) : $(install_help_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_help.make"; \
	  $(cmtexe) -f=$(bin)install_help.in -tag=$(tags) $(install_help_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_help_makefile) install_help
else
$(cmt_local_install_help_makefile) : $(install_help_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_help) ] || \
	  [ ! -f $(cmt_final_setup_install_help) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_help.make"; \
	  $(cmtexe) -f=$(bin)install_help.in -tag=$(tags) $(install_help_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_help_makefile) install_help; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_help_extratags) build constituent_makefile -out=$(cmt_local_install_help_makefile) install_help

install_help :: $(install_help_dependencies) $(cmt_local_install_help_makefile) dirs install_helpdirs
	$(echo) "(constituents.make) Starting install_help"
	@$(MAKE) -f $(cmt_local_install_help_makefile) install_help
	$(echo) "(constituents.make) install_help done"

clean :: install_helpclean

install_helpclean :: $(install_helpclean_dependencies) ##$(cmt_local_install_help_makefile)
	$(echo) "(constituents.make) Starting install_helpclean"
	@-if test -f $(cmt_local_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_install_help_makefile) install_helpclean; \
	fi
	$(echo) "(constituents.make) install_helpclean done"
#	@-$(MAKE) -f $(cmt_local_install_help_makefile) install_helpclean

##	  /bin/rm -f $(cmt_local_install_help_makefile) $(bin)install_help_dependencies.make

install :: install_helpinstall

install_helpinstall :: $(install_help_dependencies) $(cmt_local_install_help_makefile)
	$(echo) "(constituents.make) Starting install install_help"
	@-$(MAKE) -f $(cmt_local_install_help_makefile) install
	$(echo) "(constituents.make) install install_help done"

uninstall :: install_helpuninstall

$(foreach d,$(install_help_dependencies),$(eval $(d)uninstall_dependencies += install_helpuninstall))

install_helpuninstall :: $(install_helpuninstall_dependencies) $(cmt_local_install_help_makefile)
	$(echo) "(constituents.make) Starting uninstall install_help"
	@$(MAKE) -f $(cmt_local_install_help_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_help done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_help"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_help done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJavarchk_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJavarchk_has_target_tag

#cmt_local_tagfile_AtlantisJavarchk = $(AtlantisJava_tag)_AtlantisJavarchk.make
cmt_local_tagfile_AtlantisJavarchk = $(bin)$(AtlantisJava_tag)_AtlantisJavarchk.make
cmt_local_setup_AtlantisJavarchk = $(bin)setup_AtlantisJavarchk$$$$.make
cmt_final_setup_AtlantisJavarchk = $(bin)setup_AtlantisJavarchk.make
#cmt_final_setup_AtlantisJavarchk = $(bin)AtlantisJava_AtlantisJavarchksetup.make
cmt_local_AtlantisJavarchk_makefile = $(bin)AtlantisJavarchk.make

AtlantisJavarchk_extratags = -tag_add=target_AtlantisJavarchk

#$(cmt_local_tagfile_AtlantisJavarchk) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJavarchk) ::
else
$(cmt_local_tagfile_AtlantisJavarchk) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJavarchk); then /bin/rm -f $(cmt_local_tagfile_AtlantisJavarchk); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJavarchk_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJavarchk)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJavarchk)"; \
	  test ! -f $(cmt_local_setup_AtlantisJavarchk) || \rm -f $(cmt_local_setup_AtlantisJavarchk); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJavarchk)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJavarchk_extratags) show setup >$(cmt_local_setup_AtlantisJavarchk) && \
	  if [ -f $(cmt_final_setup_AtlantisJavarchk) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJavarchk) $(cmt_local_setup_AtlantisJavarchk); then \
	    \rm $(cmt_local_setup_AtlantisJavarchk); else \
	    \mv -f $(cmt_local_setup_AtlantisJavarchk) $(cmt_final_setup_AtlantisJavarchk); fi

else

#cmt_local_tagfile_AtlantisJavarchk = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJavarchk = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJavarchk = $(bin)setup.make
#cmt_final_setup_AtlantisJavarchk = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJavarchk_makefile = $(bin)AtlantisJavarchk.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJavarchkdirs :
	@if test ! -d $(bin)AtlantisJavarchk; then $(mkdir) -p $(bin)AtlantisJavarchk; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJavarchk
else
AtlantisJavarchkdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJavarchkdirs ::
#	@if test ! -d $(bin)AtlantisJavarchk; then $(mkdir) -p $(bin)AtlantisJavarchk; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJavarchk
#
#$(cmt_local_AtlantisJavarchk_makefile) :: $(AtlantisJavarchk_dependencies) $(cmt_local_tagfile_AtlantisJavarchk) build_library_links dirs AtlantisJavarchkdirs
#else
#$(cmt_local_AtlantisJavarchk_makefile) :: $(AtlantisJavarchk_dependencies) $(cmt_local_tagfile_AtlantisJavarchk) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJavarchk_makefile) :: $(cmt_local_tagfile_AtlantisJavarchk)
#endif

ifdef cmt_AtlantisJavarchk_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJavarchk_makefile) : $(AtlantisJavarchk_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJavarchk.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_config -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk
else
$(cmt_local_AtlantisJavarchk_makefile) : $(AtlantisJavarchk_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJavarchk) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJavarchk) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJavarchk.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_config -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJavarchk_makefile) : $(AtlantisJavarchk_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJavarchk.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJavarchk.in -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk
else
$(cmt_local_AtlantisJavarchk_makefile) : $(AtlantisJavarchk_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJavarchk) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJavarchk) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJavarchk.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJavarchk.in -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk

AtlantisJavarchk :: $(AtlantisJavarchk_dependencies) $(cmt_local_AtlantisJavarchk_makefile) dirs AtlantisJavarchkdirs
	$(echo) "(constituents.make) Starting AtlantisJavarchk"
	@$(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk
	$(echo) "(constituents.make) AtlantisJavarchk done"

clean :: AtlantisJavarchkclean

AtlantisJavarchkclean :: $(AtlantisJavarchkclean_dependencies) ##$(cmt_local_AtlantisJavarchk_makefile)
	$(echo) "(constituents.make) Starting AtlantisJavarchkclean"
	@-if test -f $(cmt_local_AtlantisJavarchk_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchkclean; \
	fi
	$(echo) "(constituents.make) AtlantisJavarchkclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchkclean

##	  /bin/rm -f $(cmt_local_AtlantisJavarchk_makefile) $(bin)AtlantisJavarchk_dependencies.make

install :: AtlantisJavarchkinstall

AtlantisJavarchkinstall :: $(AtlantisJavarchk_dependencies) $(cmt_local_AtlantisJavarchk_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJavarchk"
	@-$(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) install
	$(echo) "(constituents.make) install AtlantisJavarchk done"

uninstall :: AtlantisJavarchkuninstall

$(foreach d,$(AtlantisJavarchk_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJavarchkuninstall))

AtlantisJavarchkuninstall :: $(AtlantisJavarchkuninstall_dependencies) $(cmt_local_AtlantisJavarchk_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJavarchk"
	@$(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJavarchk done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJavarchk"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJavarchk done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_includes_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_includes_has_target_tag

#cmt_local_tagfile_install_includes = $(AtlantisJava_tag)_install_includes.make
cmt_local_tagfile_install_includes = $(bin)$(AtlantisJava_tag)_install_includes.make
cmt_local_setup_install_includes = $(bin)setup_install_includes$$$$.make
cmt_final_setup_install_includes = $(bin)setup_install_includes.make
#cmt_final_setup_install_includes = $(bin)AtlantisJava_install_includessetup.make
cmt_local_install_includes_makefile = $(bin)install_includes.make

install_includes_extratags = -tag_add=target_install_includes

#$(cmt_local_tagfile_install_includes) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_includes) ::
else
$(cmt_local_tagfile_install_includes) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_includes); then /bin/rm -f $(cmt_local_tagfile_install_includes); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_includes_extratags) build tag_makefile >>$(cmt_local_tagfile_install_includes)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_includes)"; \
	  test ! -f $(cmt_local_setup_install_includes) || \rm -f $(cmt_local_setup_install_includes); \
	  trap '\rm -f $(cmt_local_setup_install_includes)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_includes_extratags) show setup >$(cmt_local_setup_install_includes) && \
	  if [ -f $(cmt_final_setup_install_includes) ] && \
	    \cmp -s $(cmt_final_setup_install_includes) $(cmt_local_setup_install_includes); then \
	    \rm $(cmt_local_setup_install_includes); else \
	    \mv -f $(cmt_local_setup_install_includes) $(cmt_final_setup_install_includes); fi

else

#cmt_local_tagfile_install_includes = $(AtlantisJava_tag).make
cmt_local_tagfile_install_includes = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_includes = $(bin)setup.make
#cmt_final_setup_install_includes = $(bin)AtlantisJavasetup.make
cmt_local_install_includes_makefile = $(bin)install_includes.make

endif

ifdef STRUCTURED_OUTPUT
install_includesdirs :
	@if test ! -d $(bin)install_includes; then $(mkdir) -p $(bin)install_includes; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_includes
else
install_includesdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_includesdirs ::
#	@if test ! -d $(bin)install_includes; then $(mkdir) -p $(bin)install_includes; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_includes
#
#$(cmt_local_install_includes_makefile) :: $(install_includes_dependencies) $(cmt_local_tagfile_install_includes) build_library_links dirs install_includesdirs
#else
#$(cmt_local_install_includes_makefile) :: $(install_includes_dependencies) $(cmt_local_tagfile_install_includes) build_library_links dirs
#endif
#else
#$(cmt_local_install_includes_makefile) :: $(cmt_local_tagfile_install_includes)
#endif

ifdef cmt_install_includes_has_target_tag

ifndef QUICK
$(cmt_local_install_includes_makefile) : $(install_includes_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_includes.make"; \
	  $(cmtexe) -tag=$(tags) $(install_includes_extratags) build constituent_config -out=$(cmt_local_install_includes_makefile) install_includes
else
$(cmt_local_install_includes_makefile) : $(install_includes_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_includes) ] || \
	  [ ! -f $(cmt_final_setup_install_includes) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_includes.make"; \
	  $(cmtexe) -tag=$(tags) $(install_includes_extratags) build constituent_config -out=$(cmt_local_install_includes_makefile) install_includes; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_includes_makefile) : $(install_includes_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_includes.make"; \
	  $(cmtexe) -f=$(bin)install_includes.in -tag=$(tags) $(install_includes_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_includes_makefile) install_includes
else
$(cmt_local_install_includes_makefile) : $(install_includes_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_includes) ] || \
	  [ ! -f $(cmt_final_setup_install_includes) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_includes.make"; \
	  $(cmtexe) -f=$(bin)install_includes.in -tag=$(tags) $(install_includes_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_includes_makefile) install_includes; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_includes_extratags) build constituent_makefile -out=$(cmt_local_install_includes_makefile) install_includes

install_includes :: $(install_includes_dependencies) $(cmt_local_install_includes_makefile) dirs install_includesdirs
	$(echo) "(constituents.make) Starting install_includes"
	@$(MAKE) -f $(cmt_local_install_includes_makefile) install_includes
	$(echo) "(constituents.make) install_includes done"

clean :: install_includesclean

install_includesclean :: $(install_includesclean_dependencies) ##$(cmt_local_install_includes_makefile)
	$(echo) "(constituents.make) Starting install_includesclean"
	@-if test -f $(cmt_local_install_includes_makefile); then \
	  $(MAKE) -f $(cmt_local_install_includes_makefile) install_includesclean; \
	fi
	$(echo) "(constituents.make) install_includesclean done"
#	@-$(MAKE) -f $(cmt_local_install_includes_makefile) install_includesclean

##	  /bin/rm -f $(cmt_local_install_includes_makefile) $(bin)install_includes_dependencies.make

install :: install_includesinstall

install_includesinstall :: $(install_includes_dependencies) $(cmt_local_install_includes_makefile)
	$(echo) "(constituents.make) Starting install install_includes"
	@-$(MAKE) -f $(cmt_local_install_includes_makefile) install
	$(echo) "(constituents.make) install install_includes done"

uninstall :: install_includesuninstall

$(foreach d,$(install_includes_dependencies),$(eval $(d)uninstall_dependencies += install_includesuninstall))

install_includesuninstall :: $(install_includesuninstall_dependencies) $(cmt_local_install_includes_makefile)
	$(echo) "(constituents.make) Starting uninstall install_includes"
	@$(MAKE) -f $(cmt_local_install_includes_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_includes done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_includes"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_includes done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_make_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_make_has_target_tag

#cmt_local_tagfile_make = $(AtlantisJava_tag)_make.make
cmt_local_tagfile_make = $(bin)$(AtlantisJava_tag)_make.make
cmt_local_setup_make = $(bin)setup_make$$$$.make
cmt_final_setup_make = $(bin)setup_make.make
#cmt_final_setup_make = $(bin)AtlantisJava_makesetup.make
cmt_local_make_makefile = $(bin)make.make

make_extratags = -tag_add=target_make

#$(cmt_local_tagfile_make) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_make) ::
else
$(cmt_local_tagfile_make) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_make); then /bin/rm -f $(cmt_local_tagfile_make); fi ; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) build tag_makefile >>$(cmt_local_tagfile_make)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_make)"; \
	  test ! -f $(cmt_local_setup_make) || \rm -f $(cmt_local_setup_make); \
	  trap '\rm -f $(cmt_local_setup_make)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) show setup >$(cmt_local_setup_make) && \
	  if [ -f $(cmt_final_setup_make) ] && \
	    \cmp -s $(cmt_final_setup_make) $(cmt_local_setup_make); then \
	    \rm $(cmt_local_setup_make); else \
	    \mv -f $(cmt_local_setup_make) $(cmt_final_setup_make); fi

else

#cmt_local_tagfile_make = $(AtlantisJava_tag).make
cmt_local_tagfile_make = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_make = $(bin)setup.make
#cmt_final_setup_make = $(bin)AtlantisJavasetup.make
cmt_local_make_makefile = $(bin)make.make

endif

ifdef STRUCTURED_OUTPUT
makedirs :
	@if test ! -d $(bin)make; then $(mkdir) -p $(bin)make; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)make
else
makedirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# makedirs ::
#	@if test ! -d $(bin)make; then $(mkdir) -p $(bin)make; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)make
#
#$(cmt_local_make_makefile) :: $(make_dependencies) $(cmt_local_tagfile_make) build_library_links dirs makedirs
#else
#$(cmt_local_make_makefile) :: $(make_dependencies) $(cmt_local_tagfile_make) build_library_links dirs
#endif
#else
#$(cmt_local_make_makefile) :: $(cmt_local_tagfile_make)
#endif

ifdef cmt_make_has_target_tag

ifndef QUICK
$(cmt_local_make_makefile) : $(make_dependencies) build_library_links
	$(echo) "(constituents.make) Building make.make"; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_config -out=$(cmt_local_make_makefile) make
else
$(cmt_local_make_makefile) : $(make_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_make) ] || \
	  [ ! -f $(cmt_final_setup_make) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building make.make"; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_config -out=$(cmt_local_make_makefile) make; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_make_makefile) : $(make_dependencies) build_library_links
	$(echo) "(constituents.make) Building make.make"; \
	  $(cmtexe) -f=$(bin)make.in -tag=$(tags) $(make_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_make_makefile) make
else
$(cmt_local_make_makefile) : $(make_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_make) ] || \
	  [ ! -f $(cmt_final_setup_make) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building make.make"; \
	  $(cmtexe) -f=$(bin)make.in -tag=$(tags) $(make_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_make_makefile) make; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_makefile -out=$(cmt_local_make_makefile) make

make :: $(make_dependencies) $(cmt_local_make_makefile) dirs makedirs
	$(echo) "(constituents.make) Starting make"
	@$(MAKE) -f $(cmt_local_make_makefile) make
	$(echo) "(constituents.make) make done"

clean :: makeclean

makeclean :: $(makeclean_dependencies) ##$(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting makeclean"
	@-if test -f $(cmt_local_make_makefile); then \
	  $(MAKE) -f $(cmt_local_make_makefile) makeclean; \
	fi
	$(echo) "(constituents.make) makeclean done"
#	@-$(MAKE) -f $(cmt_local_make_makefile) makeclean

##	  /bin/rm -f $(cmt_local_make_makefile) $(bin)make_dependencies.make

install :: makeinstall

makeinstall :: $(make_dependencies) $(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting install make"
	@-$(MAKE) -f $(cmt_local_make_makefile) install
	$(echo) "(constituents.make) install make done"

uninstall :: makeuninstall

$(foreach d,$(make_dependencies),$(eval $(d)uninstall_dependencies += makeuninstall))

makeuninstall :: $(makeuninstall_dependencies) $(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting uninstall make"
	@$(MAKE) -f $(cmt_local_make_makefile) uninstall
	$(echo) "(constituents.make) uninstall make done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ make"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ make done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_CompilePython_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_CompilePython_has_target_tag

#cmt_local_tagfile_CompilePython = $(AtlantisJava_tag)_CompilePython.make
cmt_local_tagfile_CompilePython = $(bin)$(AtlantisJava_tag)_CompilePython.make
cmt_local_setup_CompilePython = $(bin)setup_CompilePython$$$$.make
cmt_final_setup_CompilePython = $(bin)setup_CompilePython.make
#cmt_final_setup_CompilePython = $(bin)AtlantisJava_CompilePythonsetup.make
cmt_local_CompilePython_makefile = $(bin)CompilePython.make

CompilePython_extratags = -tag_add=target_CompilePython

#$(cmt_local_tagfile_CompilePython) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_CompilePython) ::
else
$(cmt_local_tagfile_CompilePython) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_CompilePython); then /bin/rm -f $(cmt_local_tagfile_CompilePython); fi ; \
	  $(cmtexe) -tag=$(tags) $(CompilePython_extratags) build tag_makefile >>$(cmt_local_tagfile_CompilePython)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_CompilePython)"; \
	  test ! -f $(cmt_local_setup_CompilePython) || \rm -f $(cmt_local_setup_CompilePython); \
	  trap '\rm -f $(cmt_local_setup_CompilePython)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(CompilePython_extratags) show setup >$(cmt_local_setup_CompilePython) && \
	  if [ -f $(cmt_final_setup_CompilePython) ] && \
	    \cmp -s $(cmt_final_setup_CompilePython) $(cmt_local_setup_CompilePython); then \
	    \rm $(cmt_local_setup_CompilePython); else \
	    \mv -f $(cmt_local_setup_CompilePython) $(cmt_final_setup_CompilePython); fi

else

#cmt_local_tagfile_CompilePython = $(AtlantisJava_tag).make
cmt_local_tagfile_CompilePython = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_CompilePython = $(bin)setup.make
#cmt_final_setup_CompilePython = $(bin)AtlantisJavasetup.make
cmt_local_CompilePython_makefile = $(bin)CompilePython.make

endif

ifdef STRUCTURED_OUTPUT
CompilePythondirs :
	@if test ! -d $(bin)CompilePython; then $(mkdir) -p $(bin)CompilePython; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)CompilePython
else
CompilePythondirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# CompilePythondirs ::
#	@if test ! -d $(bin)CompilePython; then $(mkdir) -p $(bin)CompilePython; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)CompilePython
#
#$(cmt_local_CompilePython_makefile) :: $(CompilePython_dependencies) $(cmt_local_tagfile_CompilePython) build_library_links dirs CompilePythondirs
#else
#$(cmt_local_CompilePython_makefile) :: $(CompilePython_dependencies) $(cmt_local_tagfile_CompilePython) build_library_links dirs
#endif
#else
#$(cmt_local_CompilePython_makefile) :: $(cmt_local_tagfile_CompilePython)
#endif

ifdef cmt_CompilePython_has_target_tag

ifndef QUICK
$(cmt_local_CompilePython_makefile) : $(CompilePython_dependencies) build_library_links
	$(echo) "(constituents.make) Building CompilePython.make"; \
	  $(cmtexe) -tag=$(tags) $(CompilePython_extratags) build constituent_config -out=$(cmt_local_CompilePython_makefile) CompilePython
else
$(cmt_local_CompilePython_makefile) : $(CompilePython_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_CompilePython) ] || \
	  [ ! -f $(cmt_final_setup_CompilePython) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building CompilePython.make"; \
	  $(cmtexe) -tag=$(tags) $(CompilePython_extratags) build constituent_config -out=$(cmt_local_CompilePython_makefile) CompilePython; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_CompilePython_makefile) : $(CompilePython_dependencies) build_library_links
	$(echo) "(constituents.make) Building CompilePython.make"; \
	  $(cmtexe) -f=$(bin)CompilePython.in -tag=$(tags) $(CompilePython_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_CompilePython_makefile) CompilePython
else
$(cmt_local_CompilePython_makefile) : $(CompilePython_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_CompilePython) ] || \
	  [ ! -f $(cmt_final_setup_CompilePython) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building CompilePython.make"; \
	  $(cmtexe) -f=$(bin)CompilePython.in -tag=$(tags) $(CompilePython_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_CompilePython_makefile) CompilePython; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(CompilePython_extratags) build constituent_makefile -out=$(cmt_local_CompilePython_makefile) CompilePython

CompilePython :: $(CompilePython_dependencies) $(cmt_local_CompilePython_makefile) dirs CompilePythondirs
	$(echo) "(constituents.make) Starting CompilePython"
	@$(MAKE) -f $(cmt_local_CompilePython_makefile) CompilePython
	$(echo) "(constituents.make) CompilePython done"

clean :: CompilePythonclean

CompilePythonclean :: $(CompilePythonclean_dependencies) ##$(cmt_local_CompilePython_makefile)
	$(echo) "(constituents.make) Starting CompilePythonclean"
	@-if test -f $(cmt_local_CompilePython_makefile); then \
	  $(MAKE) -f $(cmt_local_CompilePython_makefile) CompilePythonclean; \
	fi
	$(echo) "(constituents.make) CompilePythonclean done"
#	@-$(MAKE) -f $(cmt_local_CompilePython_makefile) CompilePythonclean

##	  /bin/rm -f $(cmt_local_CompilePython_makefile) $(bin)CompilePython_dependencies.make

install :: CompilePythoninstall

CompilePythoninstall :: $(CompilePython_dependencies) $(cmt_local_CompilePython_makefile)
	$(echo) "(constituents.make) Starting install CompilePython"
	@-$(MAKE) -f $(cmt_local_CompilePython_makefile) install
	$(echo) "(constituents.make) install CompilePython done"

uninstall :: CompilePythonuninstall

$(foreach d,$(CompilePython_dependencies),$(eval $(d)uninstall_dependencies += CompilePythonuninstall))

CompilePythonuninstall :: $(CompilePythonuninstall_dependencies) $(cmt_local_CompilePython_makefile)
	$(echo) "(constituents.make) Starting uninstall CompilePython"
	@$(MAKE) -f $(cmt_local_CompilePython_makefile) uninstall
	$(echo) "(constituents.make) uninstall CompilePython done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ CompilePython"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ CompilePython done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_qmtest_run_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_qmtest_run_has_target_tag

#cmt_local_tagfile_qmtest_run = $(AtlantisJava_tag)_qmtest_run.make
cmt_local_tagfile_qmtest_run = $(bin)$(AtlantisJava_tag)_qmtest_run.make
cmt_local_setup_qmtest_run = $(bin)setup_qmtest_run$$$$.make
cmt_final_setup_qmtest_run = $(bin)setup_qmtest_run.make
#cmt_final_setup_qmtest_run = $(bin)AtlantisJava_qmtest_runsetup.make
cmt_local_qmtest_run_makefile = $(bin)qmtest_run.make

qmtest_run_extratags = -tag_add=target_qmtest_run

#$(cmt_local_tagfile_qmtest_run) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_qmtest_run) ::
else
$(cmt_local_tagfile_qmtest_run) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_qmtest_run); then /bin/rm -f $(cmt_local_tagfile_qmtest_run); fi ; \
	  $(cmtexe) -tag=$(tags) $(qmtest_run_extratags) build tag_makefile >>$(cmt_local_tagfile_qmtest_run)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_qmtest_run)"; \
	  test ! -f $(cmt_local_setup_qmtest_run) || \rm -f $(cmt_local_setup_qmtest_run); \
	  trap '\rm -f $(cmt_local_setup_qmtest_run)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(qmtest_run_extratags) show setup >$(cmt_local_setup_qmtest_run) && \
	  if [ -f $(cmt_final_setup_qmtest_run) ] && \
	    \cmp -s $(cmt_final_setup_qmtest_run) $(cmt_local_setup_qmtest_run); then \
	    \rm $(cmt_local_setup_qmtest_run); else \
	    \mv -f $(cmt_local_setup_qmtest_run) $(cmt_final_setup_qmtest_run); fi

else

#cmt_local_tagfile_qmtest_run = $(AtlantisJava_tag).make
cmt_local_tagfile_qmtest_run = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_qmtest_run = $(bin)setup.make
#cmt_final_setup_qmtest_run = $(bin)AtlantisJavasetup.make
cmt_local_qmtest_run_makefile = $(bin)qmtest_run.make

endif

ifdef STRUCTURED_OUTPUT
qmtest_rundirs :
	@if test ! -d $(bin)qmtest_run; then $(mkdir) -p $(bin)qmtest_run; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)qmtest_run
else
qmtest_rundirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# qmtest_rundirs ::
#	@if test ! -d $(bin)qmtest_run; then $(mkdir) -p $(bin)qmtest_run; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)qmtest_run
#
#$(cmt_local_qmtest_run_makefile) :: $(qmtest_run_dependencies) $(cmt_local_tagfile_qmtest_run) build_library_links dirs qmtest_rundirs
#else
#$(cmt_local_qmtest_run_makefile) :: $(qmtest_run_dependencies) $(cmt_local_tagfile_qmtest_run) build_library_links dirs
#endif
#else
#$(cmt_local_qmtest_run_makefile) :: $(cmt_local_tagfile_qmtest_run)
#endif

ifdef cmt_qmtest_run_has_target_tag

ifndef QUICK
$(cmt_local_qmtest_run_makefile) : $(qmtest_run_dependencies) build_library_links
	$(echo) "(constituents.make) Building qmtest_run.make"; \
	  $(cmtexe) -tag=$(tags) $(qmtest_run_extratags) build constituent_config -out=$(cmt_local_qmtest_run_makefile) qmtest_run
else
$(cmt_local_qmtest_run_makefile) : $(qmtest_run_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_qmtest_run) ] || \
	  [ ! -f $(cmt_final_setup_qmtest_run) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building qmtest_run.make"; \
	  $(cmtexe) -tag=$(tags) $(qmtest_run_extratags) build constituent_config -out=$(cmt_local_qmtest_run_makefile) qmtest_run; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_qmtest_run_makefile) : $(qmtest_run_dependencies) build_library_links
	$(echo) "(constituents.make) Building qmtest_run.make"; \
	  $(cmtexe) -f=$(bin)qmtest_run.in -tag=$(tags) $(qmtest_run_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_qmtest_run_makefile) qmtest_run
else
$(cmt_local_qmtest_run_makefile) : $(qmtest_run_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_qmtest_run) ] || \
	  [ ! -f $(cmt_final_setup_qmtest_run) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building qmtest_run.make"; \
	  $(cmtexe) -f=$(bin)qmtest_run.in -tag=$(tags) $(qmtest_run_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_qmtest_run_makefile) qmtest_run; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(qmtest_run_extratags) build constituent_makefile -out=$(cmt_local_qmtest_run_makefile) qmtest_run

qmtest_run :: $(qmtest_run_dependencies) $(cmt_local_qmtest_run_makefile) dirs qmtest_rundirs
	$(echo) "(constituents.make) Starting qmtest_run"
	@$(MAKE) -f $(cmt_local_qmtest_run_makefile) qmtest_run
	$(echo) "(constituents.make) qmtest_run done"

clean :: qmtest_runclean

qmtest_runclean :: $(qmtest_runclean_dependencies) ##$(cmt_local_qmtest_run_makefile)
	$(echo) "(constituents.make) Starting qmtest_runclean"
	@-if test -f $(cmt_local_qmtest_run_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_run_makefile) qmtest_runclean; \
	fi
	$(echo) "(constituents.make) qmtest_runclean done"
#	@-$(MAKE) -f $(cmt_local_qmtest_run_makefile) qmtest_runclean

##	  /bin/rm -f $(cmt_local_qmtest_run_makefile) $(bin)qmtest_run_dependencies.make

install :: qmtest_runinstall

qmtest_runinstall :: $(qmtest_run_dependencies) $(cmt_local_qmtest_run_makefile)
	$(echo) "(constituents.make) Starting install qmtest_run"
	@-$(MAKE) -f $(cmt_local_qmtest_run_makefile) install
	$(echo) "(constituents.make) install qmtest_run done"

uninstall :: qmtest_rununinstall

$(foreach d,$(qmtest_run_dependencies),$(eval $(d)uninstall_dependencies += qmtest_rununinstall))

qmtest_rununinstall :: $(qmtest_rununinstall_dependencies) $(cmt_local_qmtest_run_makefile)
	$(echo) "(constituents.make) Starting uninstall qmtest_run"
	@$(MAKE) -f $(cmt_local_qmtest_run_makefile) uninstall
	$(echo) "(constituents.make) uninstall qmtest_run done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ qmtest_run"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ qmtest_run done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_qmtest_summarize_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_qmtest_summarize_has_target_tag

#cmt_local_tagfile_qmtest_summarize = $(AtlantisJava_tag)_qmtest_summarize.make
cmt_local_tagfile_qmtest_summarize = $(bin)$(AtlantisJava_tag)_qmtest_summarize.make
cmt_local_setup_qmtest_summarize = $(bin)setup_qmtest_summarize$$$$.make
cmt_final_setup_qmtest_summarize = $(bin)setup_qmtest_summarize.make
#cmt_final_setup_qmtest_summarize = $(bin)AtlantisJava_qmtest_summarizesetup.make
cmt_local_qmtest_summarize_makefile = $(bin)qmtest_summarize.make

qmtest_summarize_extratags = -tag_add=target_qmtest_summarize

#$(cmt_local_tagfile_qmtest_summarize) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_qmtest_summarize) ::
else
$(cmt_local_tagfile_qmtest_summarize) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_qmtest_summarize); then /bin/rm -f $(cmt_local_tagfile_qmtest_summarize); fi ; \
	  $(cmtexe) -tag=$(tags) $(qmtest_summarize_extratags) build tag_makefile >>$(cmt_local_tagfile_qmtest_summarize)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_qmtest_summarize)"; \
	  test ! -f $(cmt_local_setup_qmtest_summarize) || \rm -f $(cmt_local_setup_qmtest_summarize); \
	  trap '\rm -f $(cmt_local_setup_qmtest_summarize)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(qmtest_summarize_extratags) show setup >$(cmt_local_setup_qmtest_summarize) && \
	  if [ -f $(cmt_final_setup_qmtest_summarize) ] && \
	    \cmp -s $(cmt_final_setup_qmtest_summarize) $(cmt_local_setup_qmtest_summarize); then \
	    \rm $(cmt_local_setup_qmtest_summarize); else \
	    \mv -f $(cmt_local_setup_qmtest_summarize) $(cmt_final_setup_qmtest_summarize); fi

else

#cmt_local_tagfile_qmtest_summarize = $(AtlantisJava_tag).make
cmt_local_tagfile_qmtest_summarize = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_qmtest_summarize = $(bin)setup.make
#cmt_final_setup_qmtest_summarize = $(bin)AtlantisJavasetup.make
cmt_local_qmtest_summarize_makefile = $(bin)qmtest_summarize.make

endif

ifdef STRUCTURED_OUTPUT
qmtest_summarizedirs :
	@if test ! -d $(bin)qmtest_summarize; then $(mkdir) -p $(bin)qmtest_summarize; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)qmtest_summarize
else
qmtest_summarizedirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# qmtest_summarizedirs ::
#	@if test ! -d $(bin)qmtest_summarize; then $(mkdir) -p $(bin)qmtest_summarize; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)qmtest_summarize
#
#$(cmt_local_qmtest_summarize_makefile) :: $(qmtest_summarize_dependencies) $(cmt_local_tagfile_qmtest_summarize) build_library_links dirs qmtest_summarizedirs
#else
#$(cmt_local_qmtest_summarize_makefile) :: $(qmtest_summarize_dependencies) $(cmt_local_tagfile_qmtest_summarize) build_library_links dirs
#endif
#else
#$(cmt_local_qmtest_summarize_makefile) :: $(cmt_local_tagfile_qmtest_summarize)
#endif

ifdef cmt_qmtest_summarize_has_target_tag

ifndef QUICK
$(cmt_local_qmtest_summarize_makefile) : $(qmtest_summarize_dependencies) build_library_links
	$(echo) "(constituents.make) Building qmtest_summarize.make"; \
	  $(cmtexe) -tag=$(tags) $(qmtest_summarize_extratags) build constituent_config -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize
else
$(cmt_local_qmtest_summarize_makefile) : $(qmtest_summarize_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_qmtest_summarize) ] || \
	  [ ! -f $(cmt_final_setup_qmtest_summarize) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building qmtest_summarize.make"; \
	  $(cmtexe) -tag=$(tags) $(qmtest_summarize_extratags) build constituent_config -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_qmtest_summarize_makefile) : $(qmtest_summarize_dependencies) build_library_links
	$(echo) "(constituents.make) Building qmtest_summarize.make"; \
	  $(cmtexe) -f=$(bin)qmtest_summarize.in -tag=$(tags) $(qmtest_summarize_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize
else
$(cmt_local_qmtest_summarize_makefile) : $(qmtest_summarize_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_qmtest_summarize) ] || \
	  [ ! -f $(cmt_final_setup_qmtest_summarize) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building qmtest_summarize.make"; \
	  $(cmtexe) -f=$(bin)qmtest_summarize.in -tag=$(tags) $(qmtest_summarize_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(qmtest_summarize_extratags) build constituent_makefile -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize

qmtest_summarize :: $(qmtest_summarize_dependencies) $(cmt_local_qmtest_summarize_makefile) dirs qmtest_summarizedirs
	$(echo) "(constituents.make) Starting qmtest_summarize"
	@$(MAKE) -f $(cmt_local_qmtest_summarize_makefile) qmtest_summarize
	$(echo) "(constituents.make) qmtest_summarize done"

clean :: qmtest_summarizeclean

qmtest_summarizeclean :: $(qmtest_summarizeclean_dependencies) ##$(cmt_local_qmtest_summarize_makefile)
	$(echo) "(constituents.make) Starting qmtest_summarizeclean"
	@-if test -f $(cmt_local_qmtest_summarize_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_summarize_makefile) qmtest_summarizeclean; \
	fi
	$(echo) "(constituents.make) qmtest_summarizeclean done"
#	@-$(MAKE) -f $(cmt_local_qmtest_summarize_makefile) qmtest_summarizeclean

##	  /bin/rm -f $(cmt_local_qmtest_summarize_makefile) $(bin)qmtest_summarize_dependencies.make

install :: qmtest_summarizeinstall

qmtest_summarizeinstall :: $(qmtest_summarize_dependencies) $(cmt_local_qmtest_summarize_makefile)
	$(echo) "(constituents.make) Starting install qmtest_summarize"
	@-$(MAKE) -f $(cmt_local_qmtest_summarize_makefile) install
	$(echo) "(constituents.make) install qmtest_summarize done"

uninstall :: qmtest_summarizeuninstall

$(foreach d,$(qmtest_summarize_dependencies),$(eval $(d)uninstall_dependencies += qmtest_summarizeuninstall))

qmtest_summarizeuninstall :: $(qmtest_summarizeuninstall_dependencies) $(cmt_local_qmtest_summarize_makefile)
	$(echo) "(constituents.make) Starting uninstall qmtest_summarize"
	@$(MAKE) -f $(cmt_local_qmtest_summarize_makefile) uninstall
	$(echo) "(constituents.make) uninstall qmtest_summarize done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ qmtest_summarize"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ qmtest_summarize done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_TestPackage_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_TestPackage_has_target_tag

#cmt_local_tagfile_TestPackage = $(AtlantisJava_tag)_TestPackage.make
cmt_local_tagfile_TestPackage = $(bin)$(AtlantisJava_tag)_TestPackage.make
cmt_local_setup_TestPackage = $(bin)setup_TestPackage$$$$.make
cmt_final_setup_TestPackage = $(bin)setup_TestPackage.make
#cmt_final_setup_TestPackage = $(bin)AtlantisJava_TestPackagesetup.make
cmt_local_TestPackage_makefile = $(bin)TestPackage.make

TestPackage_extratags = -tag_add=target_TestPackage

#$(cmt_local_tagfile_TestPackage) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_TestPackage) ::
else
$(cmt_local_tagfile_TestPackage) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_TestPackage); then /bin/rm -f $(cmt_local_tagfile_TestPackage); fi ; \
	  $(cmtexe) -tag=$(tags) $(TestPackage_extratags) build tag_makefile >>$(cmt_local_tagfile_TestPackage)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_TestPackage)"; \
	  test ! -f $(cmt_local_setup_TestPackage) || \rm -f $(cmt_local_setup_TestPackage); \
	  trap '\rm -f $(cmt_local_setup_TestPackage)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(TestPackage_extratags) show setup >$(cmt_local_setup_TestPackage) && \
	  if [ -f $(cmt_final_setup_TestPackage) ] && \
	    \cmp -s $(cmt_final_setup_TestPackage) $(cmt_local_setup_TestPackage); then \
	    \rm $(cmt_local_setup_TestPackage); else \
	    \mv -f $(cmt_local_setup_TestPackage) $(cmt_final_setup_TestPackage); fi

else

#cmt_local_tagfile_TestPackage = $(AtlantisJava_tag).make
cmt_local_tagfile_TestPackage = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_TestPackage = $(bin)setup.make
#cmt_final_setup_TestPackage = $(bin)AtlantisJavasetup.make
cmt_local_TestPackage_makefile = $(bin)TestPackage.make

endif

ifdef STRUCTURED_OUTPUT
TestPackagedirs :
	@if test ! -d $(bin)TestPackage; then $(mkdir) -p $(bin)TestPackage; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)TestPackage
else
TestPackagedirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# TestPackagedirs ::
#	@if test ! -d $(bin)TestPackage; then $(mkdir) -p $(bin)TestPackage; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)TestPackage
#
#$(cmt_local_TestPackage_makefile) :: $(TestPackage_dependencies) $(cmt_local_tagfile_TestPackage) build_library_links dirs TestPackagedirs
#else
#$(cmt_local_TestPackage_makefile) :: $(TestPackage_dependencies) $(cmt_local_tagfile_TestPackage) build_library_links dirs
#endif
#else
#$(cmt_local_TestPackage_makefile) :: $(cmt_local_tagfile_TestPackage)
#endif

ifdef cmt_TestPackage_has_target_tag

ifndef QUICK
$(cmt_local_TestPackage_makefile) : $(TestPackage_dependencies) build_library_links
	$(echo) "(constituents.make) Building TestPackage.make"; \
	  $(cmtexe) -tag=$(tags) $(TestPackage_extratags) build constituent_config -out=$(cmt_local_TestPackage_makefile) TestPackage
else
$(cmt_local_TestPackage_makefile) : $(TestPackage_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_TestPackage) ] || \
	  [ ! -f $(cmt_final_setup_TestPackage) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building TestPackage.make"; \
	  $(cmtexe) -tag=$(tags) $(TestPackage_extratags) build constituent_config -out=$(cmt_local_TestPackage_makefile) TestPackage; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_TestPackage_makefile) : $(TestPackage_dependencies) build_library_links
	$(echo) "(constituents.make) Building TestPackage.make"; \
	  $(cmtexe) -f=$(bin)TestPackage.in -tag=$(tags) $(TestPackage_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_TestPackage_makefile) TestPackage
else
$(cmt_local_TestPackage_makefile) : $(TestPackage_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_TestPackage) ] || \
	  [ ! -f $(cmt_final_setup_TestPackage) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building TestPackage.make"; \
	  $(cmtexe) -f=$(bin)TestPackage.in -tag=$(tags) $(TestPackage_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_TestPackage_makefile) TestPackage; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(TestPackage_extratags) build constituent_makefile -out=$(cmt_local_TestPackage_makefile) TestPackage

TestPackage :: $(TestPackage_dependencies) $(cmt_local_TestPackage_makefile) dirs TestPackagedirs
	$(echo) "(constituents.make) Starting TestPackage"
	@$(MAKE) -f $(cmt_local_TestPackage_makefile) TestPackage
	$(echo) "(constituents.make) TestPackage done"

clean :: TestPackageclean

TestPackageclean :: $(TestPackageclean_dependencies) ##$(cmt_local_TestPackage_makefile)
	$(echo) "(constituents.make) Starting TestPackageclean"
	@-if test -f $(cmt_local_TestPackage_makefile); then \
	  $(MAKE) -f $(cmt_local_TestPackage_makefile) TestPackageclean; \
	fi
	$(echo) "(constituents.make) TestPackageclean done"
#	@-$(MAKE) -f $(cmt_local_TestPackage_makefile) TestPackageclean

##	  /bin/rm -f $(cmt_local_TestPackage_makefile) $(bin)TestPackage_dependencies.make

install :: TestPackageinstall

TestPackageinstall :: $(TestPackage_dependencies) $(cmt_local_TestPackage_makefile)
	$(echo) "(constituents.make) Starting install TestPackage"
	@-$(MAKE) -f $(cmt_local_TestPackage_makefile) install
	$(echo) "(constituents.make) install TestPackage done"

uninstall :: TestPackageuninstall

$(foreach d,$(TestPackage_dependencies),$(eval $(d)uninstall_dependencies += TestPackageuninstall))

TestPackageuninstall :: $(TestPackageuninstall_dependencies) $(cmt_local_TestPackage_makefile)
	$(echo) "(constituents.make) Starting uninstall TestPackage"
	@$(MAKE) -f $(cmt_local_TestPackage_makefile) uninstall
	$(echo) "(constituents.make) uninstall TestPackage done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ TestPackage"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ TestPackage done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_TestProject_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_TestProject_has_target_tag

#cmt_local_tagfile_TestProject = $(AtlantisJava_tag)_TestProject.make
cmt_local_tagfile_TestProject = $(bin)$(AtlantisJava_tag)_TestProject.make
cmt_local_setup_TestProject = $(bin)setup_TestProject$$$$.make
cmt_final_setup_TestProject = $(bin)setup_TestProject.make
#cmt_final_setup_TestProject = $(bin)AtlantisJava_TestProjectsetup.make
cmt_local_TestProject_makefile = $(bin)TestProject.make

TestProject_extratags = -tag_add=target_TestProject

#$(cmt_local_tagfile_TestProject) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_TestProject) ::
else
$(cmt_local_tagfile_TestProject) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_TestProject); then /bin/rm -f $(cmt_local_tagfile_TestProject); fi ; \
	  $(cmtexe) -tag=$(tags) $(TestProject_extratags) build tag_makefile >>$(cmt_local_tagfile_TestProject)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_TestProject)"; \
	  test ! -f $(cmt_local_setup_TestProject) || \rm -f $(cmt_local_setup_TestProject); \
	  trap '\rm -f $(cmt_local_setup_TestProject)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(TestProject_extratags) show setup >$(cmt_local_setup_TestProject) && \
	  if [ -f $(cmt_final_setup_TestProject) ] && \
	    \cmp -s $(cmt_final_setup_TestProject) $(cmt_local_setup_TestProject); then \
	    \rm $(cmt_local_setup_TestProject); else \
	    \mv -f $(cmt_local_setup_TestProject) $(cmt_final_setup_TestProject); fi

else

#cmt_local_tagfile_TestProject = $(AtlantisJava_tag).make
cmt_local_tagfile_TestProject = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_TestProject = $(bin)setup.make
#cmt_final_setup_TestProject = $(bin)AtlantisJavasetup.make
cmt_local_TestProject_makefile = $(bin)TestProject.make

endif

ifdef STRUCTURED_OUTPUT
TestProjectdirs :
	@if test ! -d $(bin)TestProject; then $(mkdir) -p $(bin)TestProject; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)TestProject
else
TestProjectdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# TestProjectdirs ::
#	@if test ! -d $(bin)TestProject; then $(mkdir) -p $(bin)TestProject; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)TestProject
#
#$(cmt_local_TestProject_makefile) :: $(TestProject_dependencies) $(cmt_local_tagfile_TestProject) build_library_links dirs TestProjectdirs
#else
#$(cmt_local_TestProject_makefile) :: $(TestProject_dependencies) $(cmt_local_tagfile_TestProject) build_library_links dirs
#endif
#else
#$(cmt_local_TestProject_makefile) :: $(cmt_local_tagfile_TestProject)
#endif

ifdef cmt_TestProject_has_target_tag

ifndef QUICK
$(cmt_local_TestProject_makefile) : $(TestProject_dependencies) build_library_links
	$(echo) "(constituents.make) Building TestProject.make"; \
	  $(cmtexe) -tag=$(tags) $(TestProject_extratags) build constituent_config -out=$(cmt_local_TestProject_makefile) TestProject
else
$(cmt_local_TestProject_makefile) : $(TestProject_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_TestProject) ] || \
	  [ ! -f $(cmt_final_setup_TestProject) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building TestProject.make"; \
	  $(cmtexe) -tag=$(tags) $(TestProject_extratags) build constituent_config -out=$(cmt_local_TestProject_makefile) TestProject; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_TestProject_makefile) : $(TestProject_dependencies) build_library_links
	$(echo) "(constituents.make) Building TestProject.make"; \
	  $(cmtexe) -f=$(bin)TestProject.in -tag=$(tags) $(TestProject_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_TestProject_makefile) TestProject
else
$(cmt_local_TestProject_makefile) : $(TestProject_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_TestProject) ] || \
	  [ ! -f $(cmt_final_setup_TestProject) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building TestProject.make"; \
	  $(cmtexe) -f=$(bin)TestProject.in -tag=$(tags) $(TestProject_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_TestProject_makefile) TestProject; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(TestProject_extratags) build constituent_makefile -out=$(cmt_local_TestProject_makefile) TestProject

TestProject :: $(TestProject_dependencies) $(cmt_local_TestProject_makefile) dirs TestProjectdirs
	$(echo) "(constituents.make) Starting TestProject"
	@$(MAKE) -f $(cmt_local_TestProject_makefile) TestProject
	$(echo) "(constituents.make) TestProject done"

clean :: TestProjectclean

TestProjectclean :: $(TestProjectclean_dependencies) ##$(cmt_local_TestProject_makefile)
	$(echo) "(constituents.make) Starting TestProjectclean"
	@-if test -f $(cmt_local_TestProject_makefile); then \
	  $(MAKE) -f $(cmt_local_TestProject_makefile) TestProjectclean; \
	fi
	$(echo) "(constituents.make) TestProjectclean done"
#	@-$(MAKE) -f $(cmt_local_TestProject_makefile) TestProjectclean

##	  /bin/rm -f $(cmt_local_TestProject_makefile) $(bin)TestProject_dependencies.make

install :: TestProjectinstall

TestProjectinstall :: $(TestProject_dependencies) $(cmt_local_TestProject_makefile)
	$(echo) "(constituents.make) Starting install TestProject"
	@-$(MAKE) -f $(cmt_local_TestProject_makefile) install
	$(echo) "(constituents.make) install TestProject done"

uninstall :: TestProjectuninstall

$(foreach d,$(TestProject_dependencies),$(eval $(d)uninstall_dependencies += TestProjectuninstall))

TestProjectuninstall :: $(TestProjectuninstall_dependencies) $(cmt_local_TestProject_makefile)
	$(echo) "(constituents.make) Starting uninstall TestProject"
	@$(MAKE) -f $(cmt_local_TestProject_makefile) uninstall
	$(echo) "(constituents.make) uninstall TestProject done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ TestProject"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ TestProject done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_post_install_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_post_install_has_target_tag

#cmt_local_tagfile_post_install = $(AtlantisJava_tag)_post_install.make
cmt_local_tagfile_post_install = $(bin)$(AtlantisJava_tag)_post_install.make
cmt_local_setup_post_install = $(bin)setup_post_install$$$$.make
cmt_final_setup_post_install = $(bin)setup_post_install.make
#cmt_final_setup_post_install = $(bin)AtlantisJava_post_installsetup.make
cmt_local_post_install_makefile = $(bin)post_install.make

post_install_extratags = -tag_add=target_post_install

#$(cmt_local_tagfile_post_install) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_post_install) ::
else
$(cmt_local_tagfile_post_install) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_post_install); then /bin/rm -f $(cmt_local_tagfile_post_install); fi ; \
	  $(cmtexe) -tag=$(tags) $(post_install_extratags) build tag_makefile >>$(cmt_local_tagfile_post_install)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_post_install)"; \
	  test ! -f $(cmt_local_setup_post_install) || \rm -f $(cmt_local_setup_post_install); \
	  trap '\rm -f $(cmt_local_setup_post_install)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(post_install_extratags) show setup >$(cmt_local_setup_post_install) && \
	  if [ -f $(cmt_final_setup_post_install) ] && \
	    \cmp -s $(cmt_final_setup_post_install) $(cmt_local_setup_post_install); then \
	    \rm $(cmt_local_setup_post_install); else \
	    \mv -f $(cmt_local_setup_post_install) $(cmt_final_setup_post_install); fi

else

#cmt_local_tagfile_post_install = $(AtlantisJava_tag).make
cmt_local_tagfile_post_install = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_post_install = $(bin)setup.make
#cmt_final_setup_post_install = $(bin)AtlantisJavasetup.make
cmt_local_post_install_makefile = $(bin)post_install.make

endif

ifdef STRUCTURED_OUTPUT
post_installdirs :
	@if test ! -d $(bin)post_install; then $(mkdir) -p $(bin)post_install; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)post_install
else
post_installdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# post_installdirs ::
#	@if test ! -d $(bin)post_install; then $(mkdir) -p $(bin)post_install; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)post_install
#
#$(cmt_local_post_install_makefile) :: $(post_install_dependencies) $(cmt_local_tagfile_post_install) build_library_links dirs post_installdirs
#else
#$(cmt_local_post_install_makefile) :: $(post_install_dependencies) $(cmt_local_tagfile_post_install) build_library_links dirs
#endif
#else
#$(cmt_local_post_install_makefile) :: $(cmt_local_tagfile_post_install)
#endif

ifdef cmt_post_install_has_target_tag

ifndef QUICK
$(cmt_local_post_install_makefile) : $(post_install_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_install.make"; \
	  $(cmtexe) -tag=$(tags) $(post_install_extratags) build constituent_config -out=$(cmt_local_post_install_makefile) post_install
else
$(cmt_local_post_install_makefile) : $(post_install_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_install) ] || \
	  [ ! -f $(cmt_final_setup_post_install) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_install.make"; \
	  $(cmtexe) -tag=$(tags) $(post_install_extratags) build constituent_config -out=$(cmt_local_post_install_makefile) post_install; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_post_install_makefile) : $(post_install_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_install.make"; \
	  $(cmtexe) -f=$(bin)post_install.in -tag=$(tags) $(post_install_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_install_makefile) post_install
else
$(cmt_local_post_install_makefile) : $(post_install_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_install) ] || \
	  [ ! -f $(cmt_final_setup_post_install) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_install.make"; \
	  $(cmtexe) -f=$(bin)post_install.in -tag=$(tags) $(post_install_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_install_makefile) post_install; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(post_install_extratags) build constituent_makefile -out=$(cmt_local_post_install_makefile) post_install

post_install :: $(post_install_dependencies) $(cmt_local_post_install_makefile) dirs post_installdirs
	$(echo) "(constituents.make) Starting post_install"
	@$(MAKE) -f $(cmt_local_post_install_makefile) post_install
	$(echo) "(constituents.make) post_install done"

clean :: post_installclean

post_installclean :: $(post_installclean_dependencies) ##$(cmt_local_post_install_makefile)
	$(echo) "(constituents.make) Starting post_installclean"
	@-if test -f $(cmt_local_post_install_makefile); then \
	  $(MAKE) -f $(cmt_local_post_install_makefile) post_installclean; \
	fi
	$(echo) "(constituents.make) post_installclean done"
#	@-$(MAKE) -f $(cmt_local_post_install_makefile) post_installclean

##	  /bin/rm -f $(cmt_local_post_install_makefile) $(bin)post_install_dependencies.make

install :: post_installinstall

post_installinstall :: $(post_install_dependencies) $(cmt_local_post_install_makefile)
	$(echo) "(constituents.make) Starting install post_install"
	@-$(MAKE) -f $(cmt_local_post_install_makefile) install
	$(echo) "(constituents.make) install post_install done"

uninstall :: post_installuninstall

$(foreach d,$(post_install_dependencies),$(eval $(d)uninstall_dependencies += post_installuninstall))

post_installuninstall :: $(post_installuninstall_dependencies) $(cmt_local_post_install_makefile)
	$(echo) "(constituents.make) Starting uninstall post_install"
	@$(MAKE) -f $(cmt_local_post_install_makefile) uninstall
	$(echo) "(constituents.make) uninstall post_install done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ post_install"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ post_install done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_post_merge_rootmap_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_post_merge_rootmap_has_target_tag

#cmt_local_tagfile_post_merge_rootmap = $(AtlantisJava_tag)_post_merge_rootmap.make
cmt_local_tagfile_post_merge_rootmap = $(bin)$(AtlantisJava_tag)_post_merge_rootmap.make
cmt_local_setup_post_merge_rootmap = $(bin)setup_post_merge_rootmap$$$$.make
cmt_final_setup_post_merge_rootmap = $(bin)setup_post_merge_rootmap.make
#cmt_final_setup_post_merge_rootmap = $(bin)AtlantisJava_post_merge_rootmapsetup.make
cmt_local_post_merge_rootmap_makefile = $(bin)post_merge_rootmap.make

post_merge_rootmap_extratags = -tag_add=target_post_merge_rootmap

#$(cmt_local_tagfile_post_merge_rootmap) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_post_merge_rootmap) ::
else
$(cmt_local_tagfile_post_merge_rootmap) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_post_merge_rootmap); then /bin/rm -f $(cmt_local_tagfile_post_merge_rootmap); fi ; \
	  $(cmtexe) -tag=$(tags) $(post_merge_rootmap_extratags) build tag_makefile >>$(cmt_local_tagfile_post_merge_rootmap)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_post_merge_rootmap)"; \
	  test ! -f $(cmt_local_setup_post_merge_rootmap) || \rm -f $(cmt_local_setup_post_merge_rootmap); \
	  trap '\rm -f $(cmt_local_setup_post_merge_rootmap)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(post_merge_rootmap_extratags) show setup >$(cmt_local_setup_post_merge_rootmap) && \
	  if [ -f $(cmt_final_setup_post_merge_rootmap) ] && \
	    \cmp -s $(cmt_final_setup_post_merge_rootmap) $(cmt_local_setup_post_merge_rootmap); then \
	    \rm $(cmt_local_setup_post_merge_rootmap); else \
	    \mv -f $(cmt_local_setup_post_merge_rootmap) $(cmt_final_setup_post_merge_rootmap); fi

else

#cmt_local_tagfile_post_merge_rootmap = $(AtlantisJava_tag).make
cmt_local_tagfile_post_merge_rootmap = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_post_merge_rootmap = $(bin)setup.make
#cmt_final_setup_post_merge_rootmap = $(bin)AtlantisJavasetup.make
cmt_local_post_merge_rootmap_makefile = $(bin)post_merge_rootmap.make

endif

ifdef STRUCTURED_OUTPUT
post_merge_rootmapdirs :
	@if test ! -d $(bin)post_merge_rootmap; then $(mkdir) -p $(bin)post_merge_rootmap; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)post_merge_rootmap
else
post_merge_rootmapdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# post_merge_rootmapdirs ::
#	@if test ! -d $(bin)post_merge_rootmap; then $(mkdir) -p $(bin)post_merge_rootmap; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)post_merge_rootmap
#
#$(cmt_local_post_merge_rootmap_makefile) :: $(post_merge_rootmap_dependencies) $(cmt_local_tagfile_post_merge_rootmap) build_library_links dirs post_merge_rootmapdirs
#else
#$(cmt_local_post_merge_rootmap_makefile) :: $(post_merge_rootmap_dependencies) $(cmt_local_tagfile_post_merge_rootmap) build_library_links dirs
#endif
#else
#$(cmt_local_post_merge_rootmap_makefile) :: $(cmt_local_tagfile_post_merge_rootmap)
#endif

ifdef cmt_post_merge_rootmap_has_target_tag

ifndef QUICK
$(cmt_local_post_merge_rootmap_makefile) : $(post_merge_rootmap_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_merge_rootmap.make"; \
	  $(cmtexe) -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_config -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap
else
$(cmt_local_post_merge_rootmap_makefile) : $(post_merge_rootmap_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_merge_rootmap) ] || \
	  [ ! -f $(cmt_final_setup_post_merge_rootmap) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_merge_rootmap.make"; \
	  $(cmtexe) -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_config -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_post_merge_rootmap_makefile) : $(post_merge_rootmap_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_merge_rootmap.make"; \
	  $(cmtexe) -f=$(bin)post_merge_rootmap.in -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap
else
$(cmt_local_post_merge_rootmap_makefile) : $(post_merge_rootmap_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_merge_rootmap) ] || \
	  [ ! -f $(cmt_final_setup_post_merge_rootmap) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_merge_rootmap.make"; \
	  $(cmtexe) -f=$(bin)post_merge_rootmap.in -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_makefile -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap

post_merge_rootmap :: $(post_merge_rootmap_dependencies) $(cmt_local_post_merge_rootmap_makefile) dirs post_merge_rootmapdirs
	$(echo) "(constituents.make) Starting post_merge_rootmap"
	@$(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap
	$(echo) "(constituents.make) post_merge_rootmap done"

clean :: post_merge_rootmapclean

post_merge_rootmapclean :: $(post_merge_rootmapclean_dependencies) ##$(cmt_local_post_merge_rootmap_makefile)
	$(echo) "(constituents.make) Starting post_merge_rootmapclean"
	@-if test -f $(cmt_local_post_merge_rootmap_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) post_merge_rootmapclean; \
	fi
	$(echo) "(constituents.make) post_merge_rootmapclean done"
#	@-$(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) post_merge_rootmapclean

##	  /bin/rm -f $(cmt_local_post_merge_rootmap_makefile) $(bin)post_merge_rootmap_dependencies.make

install :: post_merge_rootmapinstall

post_merge_rootmapinstall :: $(post_merge_rootmap_dependencies) $(cmt_local_post_merge_rootmap_makefile)
	$(echo) "(constituents.make) Starting install post_merge_rootmap"
	@-$(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) install
	$(echo) "(constituents.make) install post_merge_rootmap done"

uninstall :: post_merge_rootmapuninstall

$(foreach d,$(post_merge_rootmap_dependencies),$(eval $(d)uninstall_dependencies += post_merge_rootmapuninstall))

post_merge_rootmapuninstall :: $(post_merge_rootmapuninstall_dependencies) $(cmt_local_post_merge_rootmap_makefile)
	$(echo) "(constituents.make) Starting uninstall post_merge_rootmap"
	@$(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) uninstall
	$(echo) "(constituents.make) uninstall post_merge_rootmap done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ post_merge_rootmap"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ post_merge_rootmap done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_post_merge_genconfdb_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_post_merge_genconfdb_has_target_tag

#cmt_local_tagfile_post_merge_genconfdb = $(AtlantisJava_tag)_post_merge_genconfdb.make
cmt_local_tagfile_post_merge_genconfdb = $(bin)$(AtlantisJava_tag)_post_merge_genconfdb.make
cmt_local_setup_post_merge_genconfdb = $(bin)setup_post_merge_genconfdb$$$$.make
cmt_final_setup_post_merge_genconfdb = $(bin)setup_post_merge_genconfdb.make
#cmt_final_setup_post_merge_genconfdb = $(bin)AtlantisJava_post_merge_genconfdbsetup.make
cmt_local_post_merge_genconfdb_makefile = $(bin)post_merge_genconfdb.make

post_merge_genconfdb_extratags = -tag_add=target_post_merge_genconfdb

#$(cmt_local_tagfile_post_merge_genconfdb) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_post_merge_genconfdb) ::
else
$(cmt_local_tagfile_post_merge_genconfdb) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_post_merge_genconfdb); then /bin/rm -f $(cmt_local_tagfile_post_merge_genconfdb); fi ; \
	  $(cmtexe) -tag=$(tags) $(post_merge_genconfdb_extratags) build tag_makefile >>$(cmt_local_tagfile_post_merge_genconfdb)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_post_merge_genconfdb)"; \
	  test ! -f $(cmt_local_setup_post_merge_genconfdb) || \rm -f $(cmt_local_setup_post_merge_genconfdb); \
	  trap '\rm -f $(cmt_local_setup_post_merge_genconfdb)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(post_merge_genconfdb_extratags) show setup >$(cmt_local_setup_post_merge_genconfdb) && \
	  if [ -f $(cmt_final_setup_post_merge_genconfdb) ] && \
	    \cmp -s $(cmt_final_setup_post_merge_genconfdb) $(cmt_local_setup_post_merge_genconfdb); then \
	    \rm $(cmt_local_setup_post_merge_genconfdb); else \
	    \mv -f $(cmt_local_setup_post_merge_genconfdb) $(cmt_final_setup_post_merge_genconfdb); fi

else

#cmt_local_tagfile_post_merge_genconfdb = $(AtlantisJava_tag).make
cmt_local_tagfile_post_merge_genconfdb = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_post_merge_genconfdb = $(bin)setup.make
#cmt_final_setup_post_merge_genconfdb = $(bin)AtlantisJavasetup.make
cmt_local_post_merge_genconfdb_makefile = $(bin)post_merge_genconfdb.make

endif

ifdef STRUCTURED_OUTPUT
post_merge_genconfdbdirs :
	@if test ! -d $(bin)post_merge_genconfdb; then $(mkdir) -p $(bin)post_merge_genconfdb; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)post_merge_genconfdb
else
post_merge_genconfdbdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# post_merge_genconfdbdirs ::
#	@if test ! -d $(bin)post_merge_genconfdb; then $(mkdir) -p $(bin)post_merge_genconfdb; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)post_merge_genconfdb
#
#$(cmt_local_post_merge_genconfdb_makefile) :: $(post_merge_genconfdb_dependencies) $(cmt_local_tagfile_post_merge_genconfdb) build_library_links dirs post_merge_genconfdbdirs
#else
#$(cmt_local_post_merge_genconfdb_makefile) :: $(post_merge_genconfdb_dependencies) $(cmt_local_tagfile_post_merge_genconfdb) build_library_links dirs
#endif
#else
#$(cmt_local_post_merge_genconfdb_makefile) :: $(cmt_local_tagfile_post_merge_genconfdb)
#endif

ifdef cmt_post_merge_genconfdb_has_target_tag

ifndef QUICK
$(cmt_local_post_merge_genconfdb_makefile) : $(post_merge_genconfdb_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_merge_genconfdb.make"; \
	  $(cmtexe) -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_config -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb
else
$(cmt_local_post_merge_genconfdb_makefile) : $(post_merge_genconfdb_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_merge_genconfdb) ] || \
	  [ ! -f $(cmt_final_setup_post_merge_genconfdb) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_merge_genconfdb.make"; \
	  $(cmtexe) -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_config -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_post_merge_genconfdb_makefile) : $(post_merge_genconfdb_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_merge_genconfdb.make"; \
	  $(cmtexe) -f=$(bin)post_merge_genconfdb.in -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb
else
$(cmt_local_post_merge_genconfdb_makefile) : $(post_merge_genconfdb_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_merge_genconfdb) ] || \
	  [ ! -f $(cmt_final_setup_post_merge_genconfdb) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_merge_genconfdb.make"; \
	  $(cmtexe) -f=$(bin)post_merge_genconfdb.in -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_makefile -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb

post_merge_genconfdb :: $(post_merge_genconfdb_dependencies) $(cmt_local_post_merge_genconfdb_makefile) dirs post_merge_genconfdbdirs
	$(echo) "(constituents.make) Starting post_merge_genconfdb"
	@$(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb
	$(echo) "(constituents.make) post_merge_genconfdb done"

clean :: post_merge_genconfdbclean

post_merge_genconfdbclean :: $(post_merge_genconfdbclean_dependencies) ##$(cmt_local_post_merge_genconfdb_makefile)
	$(echo) "(constituents.make) Starting post_merge_genconfdbclean"
	@-if test -f $(cmt_local_post_merge_genconfdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdbclean; \
	fi
	$(echo) "(constituents.make) post_merge_genconfdbclean done"
#	@-$(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdbclean

##	  /bin/rm -f $(cmt_local_post_merge_genconfdb_makefile) $(bin)post_merge_genconfdb_dependencies.make

install :: post_merge_genconfdbinstall

post_merge_genconfdbinstall :: $(post_merge_genconfdb_dependencies) $(cmt_local_post_merge_genconfdb_makefile)
	$(echo) "(constituents.make) Starting install post_merge_genconfdb"
	@-$(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) install
	$(echo) "(constituents.make) install post_merge_genconfdb done"

uninstall :: post_merge_genconfdbuninstall

$(foreach d,$(post_merge_genconfdb_dependencies),$(eval $(d)uninstall_dependencies += post_merge_genconfdbuninstall))

post_merge_genconfdbuninstall :: $(post_merge_genconfdbuninstall_dependencies) $(cmt_local_post_merge_genconfdb_makefile)
	$(echo) "(constituents.make) Starting uninstall post_merge_genconfdb"
	@$(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) uninstall
	$(echo) "(constituents.make) uninstall post_merge_genconfdb done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ post_merge_genconfdb"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ post_merge_genconfdb done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_post_build_tpcnvdb_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_post_build_tpcnvdb_has_target_tag

#cmt_local_tagfile_post_build_tpcnvdb = $(AtlantisJava_tag)_post_build_tpcnvdb.make
cmt_local_tagfile_post_build_tpcnvdb = $(bin)$(AtlantisJava_tag)_post_build_tpcnvdb.make
cmt_local_setup_post_build_tpcnvdb = $(bin)setup_post_build_tpcnvdb$$$$.make
cmt_final_setup_post_build_tpcnvdb = $(bin)setup_post_build_tpcnvdb.make
#cmt_final_setup_post_build_tpcnvdb = $(bin)AtlantisJava_post_build_tpcnvdbsetup.make
cmt_local_post_build_tpcnvdb_makefile = $(bin)post_build_tpcnvdb.make

post_build_tpcnvdb_extratags = -tag_add=target_post_build_tpcnvdb

#$(cmt_local_tagfile_post_build_tpcnvdb) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_post_build_tpcnvdb) ::
else
$(cmt_local_tagfile_post_build_tpcnvdb) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_post_build_tpcnvdb); then /bin/rm -f $(cmt_local_tagfile_post_build_tpcnvdb); fi ; \
	  $(cmtexe) -tag=$(tags) $(post_build_tpcnvdb_extratags) build tag_makefile >>$(cmt_local_tagfile_post_build_tpcnvdb)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_post_build_tpcnvdb)"; \
	  test ! -f $(cmt_local_setup_post_build_tpcnvdb) || \rm -f $(cmt_local_setup_post_build_tpcnvdb); \
	  trap '\rm -f $(cmt_local_setup_post_build_tpcnvdb)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(post_build_tpcnvdb_extratags) show setup >$(cmt_local_setup_post_build_tpcnvdb) && \
	  if [ -f $(cmt_final_setup_post_build_tpcnvdb) ] && \
	    \cmp -s $(cmt_final_setup_post_build_tpcnvdb) $(cmt_local_setup_post_build_tpcnvdb); then \
	    \rm $(cmt_local_setup_post_build_tpcnvdb); else \
	    \mv -f $(cmt_local_setup_post_build_tpcnvdb) $(cmt_final_setup_post_build_tpcnvdb); fi

else

#cmt_local_tagfile_post_build_tpcnvdb = $(AtlantisJava_tag).make
cmt_local_tagfile_post_build_tpcnvdb = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_post_build_tpcnvdb = $(bin)setup.make
#cmt_final_setup_post_build_tpcnvdb = $(bin)AtlantisJavasetup.make
cmt_local_post_build_tpcnvdb_makefile = $(bin)post_build_tpcnvdb.make

endif

ifdef STRUCTURED_OUTPUT
post_build_tpcnvdbdirs :
	@if test ! -d $(bin)post_build_tpcnvdb; then $(mkdir) -p $(bin)post_build_tpcnvdb; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)post_build_tpcnvdb
else
post_build_tpcnvdbdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# post_build_tpcnvdbdirs ::
#	@if test ! -d $(bin)post_build_tpcnvdb; then $(mkdir) -p $(bin)post_build_tpcnvdb; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)post_build_tpcnvdb
#
#$(cmt_local_post_build_tpcnvdb_makefile) :: $(post_build_tpcnvdb_dependencies) $(cmt_local_tagfile_post_build_tpcnvdb) build_library_links dirs post_build_tpcnvdbdirs
#else
#$(cmt_local_post_build_tpcnvdb_makefile) :: $(post_build_tpcnvdb_dependencies) $(cmt_local_tagfile_post_build_tpcnvdb) build_library_links dirs
#endif
#else
#$(cmt_local_post_build_tpcnvdb_makefile) :: $(cmt_local_tagfile_post_build_tpcnvdb)
#endif

ifdef cmt_post_build_tpcnvdb_has_target_tag

ifndef QUICK
$(cmt_local_post_build_tpcnvdb_makefile) : $(post_build_tpcnvdb_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_build_tpcnvdb.make"; \
	  $(cmtexe) -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_config -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb
else
$(cmt_local_post_build_tpcnvdb_makefile) : $(post_build_tpcnvdb_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_build_tpcnvdb) ] || \
	  [ ! -f $(cmt_final_setup_post_build_tpcnvdb) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_build_tpcnvdb.make"; \
	  $(cmtexe) -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_config -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_post_build_tpcnvdb_makefile) : $(post_build_tpcnvdb_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_build_tpcnvdb.make"; \
	  $(cmtexe) -f=$(bin)post_build_tpcnvdb.in -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb
else
$(cmt_local_post_build_tpcnvdb_makefile) : $(post_build_tpcnvdb_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_build_tpcnvdb) ] || \
	  [ ! -f $(cmt_final_setup_post_build_tpcnvdb) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_build_tpcnvdb.make"; \
	  $(cmtexe) -f=$(bin)post_build_tpcnvdb.in -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_makefile -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb

post_build_tpcnvdb :: $(post_build_tpcnvdb_dependencies) $(cmt_local_post_build_tpcnvdb_makefile) dirs post_build_tpcnvdbdirs
	$(echo) "(constituents.make) Starting post_build_tpcnvdb"
	@$(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb
	$(echo) "(constituents.make) post_build_tpcnvdb done"

clean :: post_build_tpcnvdbclean

post_build_tpcnvdbclean :: $(post_build_tpcnvdbclean_dependencies) ##$(cmt_local_post_build_tpcnvdb_makefile)
	$(echo) "(constituents.make) Starting post_build_tpcnvdbclean"
	@-if test -f $(cmt_local_post_build_tpcnvdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdbclean; \
	fi
	$(echo) "(constituents.make) post_build_tpcnvdbclean done"
#	@-$(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdbclean

##	  /bin/rm -f $(cmt_local_post_build_tpcnvdb_makefile) $(bin)post_build_tpcnvdb_dependencies.make

install :: post_build_tpcnvdbinstall

post_build_tpcnvdbinstall :: $(post_build_tpcnvdb_dependencies) $(cmt_local_post_build_tpcnvdb_makefile)
	$(echo) "(constituents.make) Starting install post_build_tpcnvdb"
	@-$(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) install
	$(echo) "(constituents.make) install post_build_tpcnvdb done"

uninstall :: post_build_tpcnvdbuninstall

$(foreach d,$(post_build_tpcnvdb_dependencies),$(eval $(d)uninstall_dependencies += post_build_tpcnvdbuninstall))

post_build_tpcnvdbuninstall :: $(post_build_tpcnvdbuninstall_dependencies) $(cmt_local_post_build_tpcnvdb_makefile)
	$(echo) "(constituents.make) Starting uninstall post_build_tpcnvdb"
	@$(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) uninstall
	$(echo) "(constituents.make) uninstall post_build_tpcnvdb done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ post_build_tpcnvdb"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ post_build_tpcnvdb done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_all_post_constituents_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_all_post_constituents_has_target_tag

#cmt_local_tagfile_all_post_constituents = $(AtlantisJava_tag)_all_post_constituents.make
cmt_local_tagfile_all_post_constituents = $(bin)$(AtlantisJava_tag)_all_post_constituents.make
cmt_local_setup_all_post_constituents = $(bin)setup_all_post_constituents$$$$.make
cmt_final_setup_all_post_constituents = $(bin)setup_all_post_constituents.make
#cmt_final_setup_all_post_constituents = $(bin)AtlantisJava_all_post_constituentssetup.make
cmt_local_all_post_constituents_makefile = $(bin)all_post_constituents.make

all_post_constituents_extratags = -tag_add=target_all_post_constituents

#$(cmt_local_tagfile_all_post_constituents) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_all_post_constituents) ::
else
$(cmt_local_tagfile_all_post_constituents) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_all_post_constituents); then /bin/rm -f $(cmt_local_tagfile_all_post_constituents); fi ; \
	  $(cmtexe) -tag=$(tags) $(all_post_constituents_extratags) build tag_makefile >>$(cmt_local_tagfile_all_post_constituents)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_all_post_constituents)"; \
	  test ! -f $(cmt_local_setup_all_post_constituents) || \rm -f $(cmt_local_setup_all_post_constituents); \
	  trap '\rm -f $(cmt_local_setup_all_post_constituents)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(all_post_constituents_extratags) show setup >$(cmt_local_setup_all_post_constituents) && \
	  if [ -f $(cmt_final_setup_all_post_constituents) ] && \
	    \cmp -s $(cmt_final_setup_all_post_constituents) $(cmt_local_setup_all_post_constituents); then \
	    \rm $(cmt_local_setup_all_post_constituents); else \
	    \mv -f $(cmt_local_setup_all_post_constituents) $(cmt_final_setup_all_post_constituents); fi

else

#cmt_local_tagfile_all_post_constituents = $(AtlantisJava_tag).make
cmt_local_tagfile_all_post_constituents = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_all_post_constituents = $(bin)setup.make
#cmt_final_setup_all_post_constituents = $(bin)AtlantisJavasetup.make
cmt_local_all_post_constituents_makefile = $(bin)all_post_constituents.make

endif

ifdef STRUCTURED_OUTPUT
all_post_constituentsdirs :
	@if test ! -d $(bin)all_post_constituents; then $(mkdir) -p $(bin)all_post_constituents; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)all_post_constituents
else
all_post_constituentsdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# all_post_constituentsdirs ::
#	@if test ! -d $(bin)all_post_constituents; then $(mkdir) -p $(bin)all_post_constituents; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)all_post_constituents
#
#$(cmt_local_all_post_constituents_makefile) :: $(all_post_constituents_dependencies) $(cmt_local_tagfile_all_post_constituents) build_library_links dirs all_post_constituentsdirs
#else
#$(cmt_local_all_post_constituents_makefile) :: $(all_post_constituents_dependencies) $(cmt_local_tagfile_all_post_constituents) build_library_links dirs
#endif
#else
#$(cmt_local_all_post_constituents_makefile) :: $(cmt_local_tagfile_all_post_constituents)
#endif

ifdef cmt_all_post_constituents_has_target_tag

ifndef QUICK
$(cmt_local_all_post_constituents_makefile) : $(all_post_constituents_dependencies) build_library_links
	$(echo) "(constituents.make) Building all_post_constituents.make"; \
	  $(cmtexe) -tag=$(tags) $(all_post_constituents_extratags) build constituent_config -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents
else
$(cmt_local_all_post_constituents_makefile) : $(all_post_constituents_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_all_post_constituents) ] || \
	  [ ! -f $(cmt_final_setup_all_post_constituents) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building all_post_constituents.make"; \
	  $(cmtexe) -tag=$(tags) $(all_post_constituents_extratags) build constituent_config -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_all_post_constituents_makefile) : $(all_post_constituents_dependencies) build_library_links
	$(echo) "(constituents.make) Building all_post_constituents.make"; \
	  $(cmtexe) -f=$(bin)all_post_constituents.in -tag=$(tags) $(all_post_constituents_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents
else
$(cmt_local_all_post_constituents_makefile) : $(all_post_constituents_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_all_post_constituents) ] || \
	  [ ! -f $(cmt_final_setup_all_post_constituents) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building all_post_constituents.make"; \
	  $(cmtexe) -f=$(bin)all_post_constituents.in -tag=$(tags) $(all_post_constituents_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(all_post_constituents_extratags) build constituent_makefile -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents

all_post_constituents :: $(all_post_constituents_dependencies) $(cmt_local_all_post_constituents_makefile) dirs all_post_constituentsdirs
	$(echo) "(constituents.make) Starting all_post_constituents"
	@$(MAKE) -f $(cmt_local_all_post_constituents_makefile) all_post_constituents
	$(echo) "(constituents.make) all_post_constituents done"

clean :: all_post_constituentsclean

all_post_constituentsclean :: $(all_post_constituentsclean_dependencies) ##$(cmt_local_all_post_constituents_makefile)
	$(echo) "(constituents.make) Starting all_post_constituentsclean"
	@-if test -f $(cmt_local_all_post_constituents_makefile); then \
	  $(MAKE) -f $(cmt_local_all_post_constituents_makefile) all_post_constituentsclean; \
	fi
	$(echo) "(constituents.make) all_post_constituentsclean done"
#	@-$(MAKE) -f $(cmt_local_all_post_constituents_makefile) all_post_constituentsclean

##	  /bin/rm -f $(cmt_local_all_post_constituents_makefile) $(bin)all_post_constituents_dependencies.make

install :: all_post_constituentsinstall

all_post_constituentsinstall :: $(all_post_constituents_dependencies) $(cmt_local_all_post_constituents_makefile)
	$(echo) "(constituents.make) Starting install all_post_constituents"
	@-$(MAKE) -f $(cmt_local_all_post_constituents_makefile) install
	$(echo) "(constituents.make) install all_post_constituents done"

uninstall :: all_post_constituentsuninstall

$(foreach d,$(all_post_constituents_dependencies),$(eval $(d)uninstall_dependencies += all_post_constituentsuninstall))

all_post_constituentsuninstall :: $(all_post_constituentsuninstall_dependencies) $(cmt_local_all_post_constituents_makefile)
	$(echo) "(constituents.make) Starting uninstall all_post_constituents"
	@$(MAKE) -f $(cmt_local_all_post_constituents_makefile) uninstall
	$(echo) "(constituents.make) uninstall all_post_constituents done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ all_post_constituents"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ all_post_constituents done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_SLC5_Compat_install_action_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_SLC5_Compat_install_action_has_target_tag

#cmt_local_tagfile_SLC5_Compat_install_action = $(AtlantisJava_tag)_SLC5_Compat_install_action.make
cmt_local_tagfile_SLC5_Compat_install_action = $(bin)$(AtlantisJava_tag)_SLC5_Compat_install_action.make
cmt_local_setup_SLC5_Compat_install_action = $(bin)setup_SLC5_Compat_install_action$$$$.make
cmt_final_setup_SLC5_Compat_install_action = $(bin)setup_SLC5_Compat_install_action.make
#cmt_final_setup_SLC5_Compat_install_action = $(bin)AtlantisJava_SLC5_Compat_install_actionsetup.make
cmt_local_SLC5_Compat_install_action_makefile = $(bin)SLC5_Compat_install_action.make

SLC5_Compat_install_action_extratags = -tag_add=target_SLC5_Compat_install_action

#$(cmt_local_tagfile_SLC5_Compat_install_action) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_SLC5_Compat_install_action) ::
else
$(cmt_local_tagfile_SLC5_Compat_install_action) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_SLC5_Compat_install_action); then /bin/rm -f $(cmt_local_tagfile_SLC5_Compat_install_action); fi ; \
	  $(cmtexe) -tag=$(tags) $(SLC5_Compat_install_action_extratags) build tag_makefile >>$(cmt_local_tagfile_SLC5_Compat_install_action)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_SLC5_Compat_install_action)"; \
	  test ! -f $(cmt_local_setup_SLC5_Compat_install_action) || \rm -f $(cmt_local_setup_SLC5_Compat_install_action); \
	  trap '\rm -f $(cmt_local_setup_SLC5_Compat_install_action)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(SLC5_Compat_install_action_extratags) show setup >$(cmt_local_setup_SLC5_Compat_install_action) && \
	  if [ -f $(cmt_final_setup_SLC5_Compat_install_action) ] && \
	    \cmp -s $(cmt_final_setup_SLC5_Compat_install_action) $(cmt_local_setup_SLC5_Compat_install_action); then \
	    \rm $(cmt_local_setup_SLC5_Compat_install_action); else \
	    \mv -f $(cmt_local_setup_SLC5_Compat_install_action) $(cmt_final_setup_SLC5_Compat_install_action); fi

else

#cmt_local_tagfile_SLC5_Compat_install_action = $(AtlantisJava_tag).make
cmt_local_tagfile_SLC5_Compat_install_action = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_SLC5_Compat_install_action = $(bin)setup.make
#cmt_final_setup_SLC5_Compat_install_action = $(bin)AtlantisJavasetup.make
cmt_local_SLC5_Compat_install_action_makefile = $(bin)SLC5_Compat_install_action.make

endif

ifdef STRUCTURED_OUTPUT
SLC5_Compat_install_actiondirs :
	@if test ! -d $(bin)SLC5_Compat_install_action; then $(mkdir) -p $(bin)SLC5_Compat_install_action; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)SLC5_Compat_install_action
else
SLC5_Compat_install_actiondirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# SLC5_Compat_install_actiondirs ::
#	@if test ! -d $(bin)SLC5_Compat_install_action; then $(mkdir) -p $(bin)SLC5_Compat_install_action; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)SLC5_Compat_install_action
#
#$(cmt_local_SLC5_Compat_install_action_makefile) :: $(SLC5_Compat_install_action_dependencies) $(cmt_local_tagfile_SLC5_Compat_install_action) build_library_links dirs SLC5_Compat_install_actiondirs
#else
#$(cmt_local_SLC5_Compat_install_action_makefile) :: $(SLC5_Compat_install_action_dependencies) $(cmt_local_tagfile_SLC5_Compat_install_action) build_library_links dirs
#endif
#else
#$(cmt_local_SLC5_Compat_install_action_makefile) :: $(cmt_local_tagfile_SLC5_Compat_install_action)
#endif

ifdef cmt_SLC5_Compat_install_action_has_target_tag

ifndef QUICK
$(cmt_local_SLC5_Compat_install_action_makefile) : $(SLC5_Compat_install_action_dependencies) build_library_links
	$(echo) "(constituents.make) Building SLC5_Compat_install_action.make"; \
	  $(cmtexe) -tag=$(tags) $(SLC5_Compat_install_action_extratags) build constituent_config -out=$(cmt_local_SLC5_Compat_install_action_makefile) SLC5_Compat_install_action
else
$(cmt_local_SLC5_Compat_install_action_makefile) : $(SLC5_Compat_install_action_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_SLC5_Compat_install_action) ] || \
	  [ ! -f $(cmt_final_setup_SLC5_Compat_install_action) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building SLC5_Compat_install_action.make"; \
	  $(cmtexe) -tag=$(tags) $(SLC5_Compat_install_action_extratags) build constituent_config -out=$(cmt_local_SLC5_Compat_install_action_makefile) SLC5_Compat_install_action; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_SLC5_Compat_install_action_makefile) : $(SLC5_Compat_install_action_dependencies) build_library_links
	$(echo) "(constituents.make) Building SLC5_Compat_install_action.make"; \
	  $(cmtexe) -f=$(bin)SLC5_Compat_install_action.in -tag=$(tags) $(SLC5_Compat_install_action_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_SLC5_Compat_install_action_makefile) SLC5_Compat_install_action
else
$(cmt_local_SLC5_Compat_install_action_makefile) : $(SLC5_Compat_install_action_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_SLC5_Compat_install_action) ] || \
	  [ ! -f $(cmt_final_setup_SLC5_Compat_install_action) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building SLC5_Compat_install_action.make"; \
	  $(cmtexe) -f=$(bin)SLC5_Compat_install_action.in -tag=$(tags) $(SLC5_Compat_install_action_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_SLC5_Compat_install_action_makefile) SLC5_Compat_install_action; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(SLC5_Compat_install_action_extratags) build constituent_makefile -out=$(cmt_local_SLC5_Compat_install_action_makefile) SLC5_Compat_install_action

SLC5_Compat_install_action :: $(SLC5_Compat_install_action_dependencies) $(cmt_local_SLC5_Compat_install_action_makefile) dirs SLC5_Compat_install_actiondirs
	$(echo) "(constituents.make) Starting SLC5_Compat_install_action"
	@$(MAKE) -f $(cmt_local_SLC5_Compat_install_action_makefile) SLC5_Compat_install_action
	$(echo) "(constituents.make) SLC5_Compat_install_action done"

clean :: SLC5_Compat_install_actionclean

SLC5_Compat_install_actionclean :: $(SLC5_Compat_install_actionclean_dependencies) ##$(cmt_local_SLC5_Compat_install_action_makefile)
	$(echo) "(constituents.make) Starting SLC5_Compat_install_actionclean"
	@-if test -f $(cmt_local_SLC5_Compat_install_action_makefile); then \
	  $(MAKE) -f $(cmt_local_SLC5_Compat_install_action_makefile) SLC5_Compat_install_actionclean; \
	fi
	$(echo) "(constituents.make) SLC5_Compat_install_actionclean done"
#	@-$(MAKE) -f $(cmt_local_SLC5_Compat_install_action_makefile) SLC5_Compat_install_actionclean

##	  /bin/rm -f $(cmt_local_SLC5_Compat_install_action_makefile) $(bin)SLC5_Compat_install_action_dependencies.make

install :: SLC5_Compat_install_actioninstall

SLC5_Compat_install_actioninstall :: $(SLC5_Compat_install_action_dependencies) $(cmt_local_SLC5_Compat_install_action_makefile)
	$(echo) "(constituents.make) Starting install SLC5_Compat_install_action"
	@-$(MAKE) -f $(cmt_local_SLC5_Compat_install_action_makefile) install
	$(echo) "(constituents.make) install SLC5_Compat_install_action done"

uninstall :: SLC5_Compat_install_actionuninstall

$(foreach d,$(SLC5_Compat_install_action_dependencies),$(eval $(d)uninstall_dependencies += SLC5_Compat_install_actionuninstall))

SLC5_Compat_install_actionuninstall :: $(SLC5_Compat_install_actionuninstall_dependencies) $(cmt_local_SLC5_Compat_install_action_makefile)
	$(echo) "(constituents.make) Starting uninstall SLC5_Compat_install_action"
	@$(MAKE) -f $(cmt_local_SLC5_Compat_install_action_makefile) uninstall
	$(echo) "(constituents.make) uninstall SLC5_Compat_install_action done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ SLC5_Compat_install_action"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ SLC5_Compat_install_action done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_doxygen_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_doxygen_has_target_tag

#cmt_local_tagfile_doxygen = $(AtlantisJava_tag)_doxygen.make
cmt_local_tagfile_doxygen = $(bin)$(AtlantisJava_tag)_doxygen.make
cmt_local_setup_doxygen = $(bin)setup_doxygen$$$$.make
cmt_final_setup_doxygen = $(bin)setup_doxygen.make
#cmt_final_setup_doxygen = $(bin)AtlantisJava_doxygensetup.make
cmt_local_doxygen_makefile = $(bin)doxygen.make

doxygen_extratags = -tag_add=target_doxygen

#$(cmt_local_tagfile_doxygen) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_doxygen) ::
else
$(cmt_local_tagfile_doxygen) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_doxygen); then /bin/rm -f $(cmt_local_tagfile_doxygen); fi ; \
	  $(cmtexe) -tag=$(tags) $(doxygen_extratags) build tag_makefile >>$(cmt_local_tagfile_doxygen)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_doxygen)"; \
	  test ! -f $(cmt_local_setup_doxygen) || \rm -f $(cmt_local_setup_doxygen); \
	  trap '\rm -f $(cmt_local_setup_doxygen)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(doxygen_extratags) show setup >$(cmt_local_setup_doxygen) && \
	  if [ -f $(cmt_final_setup_doxygen) ] && \
	    \cmp -s $(cmt_final_setup_doxygen) $(cmt_local_setup_doxygen); then \
	    \rm $(cmt_local_setup_doxygen); else \
	    \mv -f $(cmt_local_setup_doxygen) $(cmt_final_setup_doxygen); fi

else

#cmt_local_tagfile_doxygen = $(AtlantisJava_tag).make
cmt_local_tagfile_doxygen = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_doxygen = $(bin)setup.make
#cmt_final_setup_doxygen = $(bin)AtlantisJavasetup.make
cmt_local_doxygen_makefile = $(bin)doxygen.make

endif

ifdef STRUCTURED_OUTPUT
doxygendirs :
	@if test ! -d $(bin)doxygen; then $(mkdir) -p $(bin)doxygen; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)doxygen
else
doxygendirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# doxygendirs ::
#	@if test ! -d $(bin)doxygen; then $(mkdir) -p $(bin)doxygen; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)doxygen
#
#$(cmt_local_doxygen_makefile) :: $(doxygen_dependencies) $(cmt_local_tagfile_doxygen) build_library_links dirs doxygendirs
#else
#$(cmt_local_doxygen_makefile) :: $(doxygen_dependencies) $(cmt_local_tagfile_doxygen) build_library_links dirs
#endif
#else
#$(cmt_local_doxygen_makefile) :: $(cmt_local_tagfile_doxygen)
#endif

ifdef cmt_doxygen_has_target_tag

ifndef QUICK
$(cmt_local_doxygen_makefile) : $(doxygen_dependencies) build_library_links
	$(echo) "(constituents.make) Building doxygen.make"; \
	  $(cmtexe) -tag=$(tags) $(doxygen_extratags) build constituent_config -out=$(cmt_local_doxygen_makefile) doxygen
else
$(cmt_local_doxygen_makefile) : $(doxygen_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_doxygen) ] || \
	  [ ! -f $(cmt_final_setup_doxygen) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building doxygen.make"; \
	  $(cmtexe) -tag=$(tags) $(doxygen_extratags) build constituent_config -out=$(cmt_local_doxygen_makefile) doxygen; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_doxygen_makefile) : $(doxygen_dependencies) build_library_links
	$(echo) "(constituents.make) Building doxygen.make"; \
	  $(cmtexe) -f=$(bin)doxygen.in -tag=$(tags) $(doxygen_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_doxygen_makefile) doxygen
else
$(cmt_local_doxygen_makefile) : $(doxygen_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_doxygen) ] || \
	  [ ! -f $(cmt_final_setup_doxygen) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building doxygen.make"; \
	  $(cmtexe) -f=$(bin)doxygen.in -tag=$(tags) $(doxygen_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_doxygen_makefile) doxygen; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(doxygen_extratags) build constituent_makefile -out=$(cmt_local_doxygen_makefile) doxygen

doxygen :: $(doxygen_dependencies) $(cmt_local_doxygen_makefile) dirs doxygendirs
	$(echo) "(constituents.make) Starting doxygen"
	@$(MAKE) -f $(cmt_local_doxygen_makefile) doxygen
	$(echo) "(constituents.make) doxygen done"

clean :: doxygenclean

doxygenclean :: $(doxygenclean_dependencies) ##$(cmt_local_doxygen_makefile)
	$(echo) "(constituents.make) Starting doxygenclean"
	@-if test -f $(cmt_local_doxygen_makefile); then \
	  $(MAKE) -f $(cmt_local_doxygen_makefile) doxygenclean; \
	fi
	$(echo) "(constituents.make) doxygenclean done"
#	@-$(MAKE) -f $(cmt_local_doxygen_makefile) doxygenclean

##	  /bin/rm -f $(cmt_local_doxygen_makefile) $(bin)doxygen_dependencies.make

install :: doxygeninstall

doxygeninstall :: $(doxygen_dependencies) $(cmt_local_doxygen_makefile)
	$(echo) "(constituents.make) Starting install doxygen"
	@-$(MAKE) -f $(cmt_local_doxygen_makefile) install
	$(echo) "(constituents.make) install doxygen done"

uninstall :: doxygenuninstall

$(foreach d,$(doxygen_dependencies),$(eval $(d)uninstall_dependencies += doxygenuninstall))

doxygenuninstall :: $(doxygenuninstall_dependencies) $(cmt_local_doxygen_makefile)
	$(echo) "(constituents.make) Starting uninstall doxygen"
	@$(MAKE) -f $(cmt_local_doxygen_makefile) uninstall
	$(echo) "(constituents.make) uninstall doxygen done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ doxygen"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ doxygen done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_scripts_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_scripts_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_scripts = $(AtlantisJava_tag)_AtlantisJava_check_install_scripts.make
cmt_local_tagfile_AtlantisJava_check_install_scripts = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_scripts.make
cmt_local_setup_AtlantisJava_check_install_scripts = $(bin)setup_AtlantisJava_check_install_scripts$$$$.make
cmt_final_setup_AtlantisJava_check_install_scripts = $(bin)setup_AtlantisJava_check_install_scripts.make
#cmt_final_setup_AtlantisJava_check_install_scripts = $(bin)AtlantisJava_AtlantisJava_check_install_scriptssetup.make
cmt_local_AtlantisJava_check_install_scripts_makefile = $(bin)AtlantisJava_check_install_scripts.make

AtlantisJava_check_install_scripts_extratags = -tag_add=target_AtlantisJava_check_install_scripts

#$(cmt_local_tagfile_AtlantisJava_check_install_scripts) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_scripts) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_scripts) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_scripts); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_scripts); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_scripts_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_scripts)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_scripts)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_scripts) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_scripts); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_scripts)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_scripts_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_scripts) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_scripts) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_scripts) $(cmt_local_setup_AtlantisJava_check_install_scripts); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_scripts); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_scripts) $(cmt_final_setup_AtlantisJava_check_install_scripts); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_scripts = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_scripts = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_scripts = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_scripts = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_scripts_makefile = $(bin)AtlantisJava_check_install_scripts.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_scriptsdirs :
	@if test ! -d $(bin)AtlantisJava_check_install_scripts; then $(mkdir) -p $(bin)AtlantisJava_check_install_scripts; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_scripts
else
AtlantisJava_check_install_scriptsdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_scriptsdirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_scripts; then $(mkdir) -p $(bin)AtlantisJava_check_install_scripts; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_scripts
#
#$(cmt_local_AtlantisJava_check_install_scripts_makefile) :: $(AtlantisJava_check_install_scripts_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_scripts) build_library_links dirs AtlantisJava_check_install_scriptsdirs
#else
#$(cmt_local_AtlantisJava_check_install_scripts_makefile) :: $(AtlantisJava_check_install_scripts_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_scripts) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_scripts_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_scripts)
#endif

ifdef cmt_AtlantisJava_check_install_scripts_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_scripts_makefile) : $(AtlantisJava_check_install_scripts_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_scripts.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_scripts_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_scripts_makefile) AtlantisJava_check_install_scripts
else
$(cmt_local_AtlantisJava_check_install_scripts_makefile) : $(AtlantisJava_check_install_scripts_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_scripts) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_scripts) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_scripts.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_scripts_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_scripts_makefile) AtlantisJava_check_install_scripts; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_scripts_makefile) : $(AtlantisJava_check_install_scripts_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_scripts.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_scripts.in -tag=$(tags) $(AtlantisJava_check_install_scripts_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_scripts_makefile) AtlantisJava_check_install_scripts
else
$(cmt_local_AtlantisJava_check_install_scripts_makefile) : $(AtlantisJava_check_install_scripts_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_scripts) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_scripts) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_scripts.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_scripts.in -tag=$(tags) $(AtlantisJava_check_install_scripts_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_scripts_makefile) AtlantisJava_check_install_scripts; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_scripts_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_scripts_makefile) AtlantisJava_check_install_scripts

AtlantisJava_check_install_scripts :: $(AtlantisJava_check_install_scripts_dependencies) $(cmt_local_AtlantisJava_check_install_scripts_makefile) dirs AtlantisJava_check_install_scriptsdirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_scripts"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_scripts_makefile) AtlantisJava_check_install_scripts
	$(echo) "(constituents.make) AtlantisJava_check_install_scripts done"

clean :: AtlantisJava_check_install_scriptsclean

AtlantisJava_check_install_scriptsclean :: $(AtlantisJava_check_install_scriptsclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_scripts_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_scriptsclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_scripts_makefile) AtlantisJava_check_install_scriptsclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_scriptsclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_scripts_makefile) AtlantisJava_check_install_scriptsclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_scripts_makefile) $(bin)AtlantisJava_check_install_scripts_dependencies.make

install :: AtlantisJava_check_install_scriptsinstall

AtlantisJava_check_install_scriptsinstall :: $(AtlantisJava_check_install_scripts_dependencies) $(cmt_local_AtlantisJava_check_install_scripts_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_scripts"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_scripts_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_scripts done"

uninstall :: AtlantisJava_check_install_scriptsuninstall

$(foreach d,$(AtlantisJava_check_install_scripts_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_scriptsuninstall))

AtlantisJava_check_install_scriptsuninstall :: $(AtlantisJava_check_install_scriptsuninstall_dependencies) $(cmt_local_AtlantisJava_check_install_scripts_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_scripts"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_scripts_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_scripts done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_scripts"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_scripts done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_joboptions_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_joboptions_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_joboptions = $(AtlantisJava_tag)_AtlantisJava_check_install_joboptions.make
cmt_local_tagfile_AtlantisJava_check_install_joboptions = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_joboptions.make
cmt_local_setup_AtlantisJava_check_install_joboptions = $(bin)setup_AtlantisJava_check_install_joboptions$$$$.make
cmt_final_setup_AtlantisJava_check_install_joboptions = $(bin)setup_AtlantisJava_check_install_joboptions.make
#cmt_final_setup_AtlantisJava_check_install_joboptions = $(bin)AtlantisJava_AtlantisJava_check_install_joboptionssetup.make
cmt_local_AtlantisJava_check_install_joboptions_makefile = $(bin)AtlantisJava_check_install_joboptions.make

AtlantisJava_check_install_joboptions_extratags = -tag_add=target_AtlantisJava_check_install_joboptions

#$(cmt_local_tagfile_AtlantisJava_check_install_joboptions) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_joboptions) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_joboptions) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_joboptions); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_joboptions); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_joboptions_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_joboptions)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_joboptions)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_joboptions) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_joboptions); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_joboptions)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_joboptions_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_joboptions) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_joboptions) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_joboptions) $(cmt_local_setup_AtlantisJava_check_install_joboptions); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_joboptions); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_joboptions) $(cmt_final_setup_AtlantisJava_check_install_joboptions); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_joboptions = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_joboptions = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_joboptions = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_joboptions = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_joboptions_makefile = $(bin)AtlantisJava_check_install_joboptions.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_joboptionsdirs :
	@if test ! -d $(bin)AtlantisJava_check_install_joboptions; then $(mkdir) -p $(bin)AtlantisJava_check_install_joboptions; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_joboptions
else
AtlantisJava_check_install_joboptionsdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_joboptionsdirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_joboptions; then $(mkdir) -p $(bin)AtlantisJava_check_install_joboptions; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_joboptions
#
#$(cmt_local_AtlantisJava_check_install_joboptions_makefile) :: $(AtlantisJava_check_install_joboptions_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_joboptions) build_library_links dirs AtlantisJava_check_install_joboptionsdirs
#else
#$(cmt_local_AtlantisJava_check_install_joboptions_makefile) :: $(AtlantisJava_check_install_joboptions_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_joboptions) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_joboptions_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_joboptions)
#endif

ifdef cmt_AtlantisJava_check_install_joboptions_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_joboptions_makefile) : $(AtlantisJava_check_install_joboptions_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_joboptions.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_joboptions_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_joboptions_makefile) AtlantisJava_check_install_joboptions
else
$(cmt_local_AtlantisJava_check_install_joboptions_makefile) : $(AtlantisJava_check_install_joboptions_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_joboptions) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_joboptions) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_joboptions.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_joboptions_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_joboptions_makefile) AtlantisJava_check_install_joboptions; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_joboptions_makefile) : $(AtlantisJava_check_install_joboptions_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_joboptions.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_joboptions.in -tag=$(tags) $(AtlantisJava_check_install_joboptions_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_joboptions_makefile) AtlantisJava_check_install_joboptions
else
$(cmt_local_AtlantisJava_check_install_joboptions_makefile) : $(AtlantisJava_check_install_joboptions_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_joboptions) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_joboptions) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_joboptions.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_joboptions.in -tag=$(tags) $(AtlantisJava_check_install_joboptions_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_joboptions_makefile) AtlantisJava_check_install_joboptions; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_joboptions_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_joboptions_makefile) AtlantisJava_check_install_joboptions

AtlantisJava_check_install_joboptions :: $(AtlantisJava_check_install_joboptions_dependencies) $(cmt_local_AtlantisJava_check_install_joboptions_makefile) dirs AtlantisJava_check_install_joboptionsdirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_joboptions"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_joboptions_makefile) AtlantisJava_check_install_joboptions
	$(echo) "(constituents.make) AtlantisJava_check_install_joboptions done"

clean :: AtlantisJava_check_install_joboptionsclean

AtlantisJava_check_install_joboptionsclean :: $(AtlantisJava_check_install_joboptionsclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_joboptionsclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_joboptions_makefile) AtlantisJava_check_install_joboptionsclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_joboptionsclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_joboptions_makefile) AtlantisJava_check_install_joboptionsclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_joboptions_makefile) $(bin)AtlantisJava_check_install_joboptions_dependencies.make

install :: AtlantisJava_check_install_joboptionsinstall

AtlantisJava_check_install_joboptionsinstall :: $(AtlantisJava_check_install_joboptions_dependencies) $(cmt_local_AtlantisJava_check_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_joboptions"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_joboptions_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_joboptions done"

uninstall :: AtlantisJava_check_install_joboptionsuninstall

$(foreach d,$(AtlantisJava_check_install_joboptions_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_joboptionsuninstall))

AtlantisJava_check_install_joboptionsuninstall :: $(AtlantisJava_check_install_joboptionsuninstall_dependencies) $(cmt_local_AtlantisJava_check_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_joboptions"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_joboptions_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_joboptions done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_joboptions"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_joboptions done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_jar_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_jar_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_jar = $(AtlantisJava_tag)_AtlantisJava_check_install_jar.make
cmt_local_tagfile_AtlantisJava_check_install_jar = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_jar.make
cmt_local_setup_AtlantisJava_check_install_jar = $(bin)setup_AtlantisJava_check_install_jar$$$$.make
cmt_final_setup_AtlantisJava_check_install_jar = $(bin)setup_AtlantisJava_check_install_jar.make
#cmt_final_setup_AtlantisJava_check_install_jar = $(bin)AtlantisJava_AtlantisJava_check_install_jarsetup.make
cmt_local_AtlantisJava_check_install_jar_makefile = $(bin)AtlantisJava_check_install_jar.make

AtlantisJava_check_install_jar_extratags = -tag_add=target_AtlantisJava_check_install_jar

#$(cmt_local_tagfile_AtlantisJava_check_install_jar) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_jar) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_jar) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_jar); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_jar); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_jar_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_jar)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_jar)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_jar) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_jar); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_jar)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_jar_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_jar) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_jar) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_jar) $(cmt_local_setup_AtlantisJava_check_install_jar); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_jar); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_jar) $(cmt_final_setup_AtlantisJava_check_install_jar); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_jar = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_jar = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_jar = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_jar = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_jar_makefile = $(bin)AtlantisJava_check_install_jar.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_jardirs :
	@if test ! -d $(bin)AtlantisJava_check_install_jar; then $(mkdir) -p $(bin)AtlantisJava_check_install_jar; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_jar
else
AtlantisJava_check_install_jardirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_jardirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_jar; then $(mkdir) -p $(bin)AtlantisJava_check_install_jar; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_jar
#
#$(cmt_local_AtlantisJava_check_install_jar_makefile) :: $(AtlantisJava_check_install_jar_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_jar) build_library_links dirs AtlantisJava_check_install_jardirs
#else
#$(cmt_local_AtlantisJava_check_install_jar_makefile) :: $(AtlantisJava_check_install_jar_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_jar) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_jar_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_jar)
#endif

ifdef cmt_AtlantisJava_check_install_jar_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_jar_makefile) : $(AtlantisJava_check_install_jar_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_jar.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_jar_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_jar_makefile) AtlantisJava_check_install_jar
else
$(cmt_local_AtlantisJava_check_install_jar_makefile) : $(AtlantisJava_check_install_jar_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_jar) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_jar) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_jar.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_jar_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_jar_makefile) AtlantisJava_check_install_jar; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_jar_makefile) : $(AtlantisJava_check_install_jar_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_jar.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_jar.in -tag=$(tags) $(AtlantisJava_check_install_jar_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_jar_makefile) AtlantisJava_check_install_jar
else
$(cmt_local_AtlantisJava_check_install_jar_makefile) : $(AtlantisJava_check_install_jar_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_jar) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_jar) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_jar.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_jar.in -tag=$(tags) $(AtlantisJava_check_install_jar_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_jar_makefile) AtlantisJava_check_install_jar; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_jar_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_jar_makefile) AtlantisJava_check_install_jar

AtlantisJava_check_install_jar :: $(AtlantisJava_check_install_jar_dependencies) $(cmt_local_AtlantisJava_check_install_jar_makefile) dirs AtlantisJava_check_install_jardirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_jar"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_jar_makefile) AtlantisJava_check_install_jar
	$(echo) "(constituents.make) AtlantisJava_check_install_jar done"

clean :: AtlantisJava_check_install_jarclean

AtlantisJava_check_install_jarclean :: $(AtlantisJava_check_install_jarclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_jar_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_jarclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_jar_makefile) AtlantisJava_check_install_jarclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_jarclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_jar_makefile) AtlantisJava_check_install_jarclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_jar_makefile) $(bin)AtlantisJava_check_install_jar_dependencies.make

install :: AtlantisJava_check_install_jarinstall

AtlantisJava_check_install_jarinstall :: $(AtlantisJava_check_install_jar_dependencies) $(cmt_local_AtlantisJava_check_install_jar_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_jar"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_jar_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_jar done"

uninstall :: AtlantisJava_check_install_jaruninstall

$(foreach d,$(AtlantisJava_check_install_jar_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_jaruninstall))

AtlantisJava_check_install_jaruninstall :: $(AtlantisJava_check_install_jaruninstall_dependencies) $(cmt_local_AtlantisJava_check_install_jar_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_jar"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_jar_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_jar done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_jar"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_jar done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_lib_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_lib_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_lib = $(AtlantisJava_tag)_AtlantisJava_check_install_lib.make
cmt_local_tagfile_AtlantisJava_check_install_lib = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_lib.make
cmt_local_setup_AtlantisJava_check_install_lib = $(bin)setup_AtlantisJava_check_install_lib$$$$.make
cmt_final_setup_AtlantisJava_check_install_lib = $(bin)setup_AtlantisJava_check_install_lib.make
#cmt_final_setup_AtlantisJava_check_install_lib = $(bin)AtlantisJava_AtlantisJava_check_install_libsetup.make
cmt_local_AtlantisJava_check_install_lib_makefile = $(bin)AtlantisJava_check_install_lib.make

AtlantisJava_check_install_lib_extratags = -tag_add=target_AtlantisJava_check_install_lib

#$(cmt_local_tagfile_AtlantisJava_check_install_lib) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_lib) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_lib) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_lib); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_lib); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_lib_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_lib)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_lib)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_lib) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_lib); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_lib)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_lib_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_lib) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_lib) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_lib) $(cmt_local_setup_AtlantisJava_check_install_lib); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_lib); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_lib) $(cmt_final_setup_AtlantisJava_check_install_lib); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_lib = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_lib = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_lib = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_lib = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_lib_makefile = $(bin)AtlantisJava_check_install_lib.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_libdirs :
	@if test ! -d $(bin)AtlantisJava_check_install_lib; then $(mkdir) -p $(bin)AtlantisJava_check_install_lib; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_lib
else
AtlantisJava_check_install_libdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_libdirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_lib; then $(mkdir) -p $(bin)AtlantisJava_check_install_lib; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_lib
#
#$(cmt_local_AtlantisJava_check_install_lib_makefile) :: $(AtlantisJava_check_install_lib_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_lib) build_library_links dirs AtlantisJava_check_install_libdirs
#else
#$(cmt_local_AtlantisJava_check_install_lib_makefile) :: $(AtlantisJava_check_install_lib_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_lib) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_lib_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_lib)
#endif

ifdef cmt_AtlantisJava_check_install_lib_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_lib_makefile) : $(AtlantisJava_check_install_lib_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_lib.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_lib_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_lib_makefile) AtlantisJava_check_install_lib
else
$(cmt_local_AtlantisJava_check_install_lib_makefile) : $(AtlantisJava_check_install_lib_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_lib) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_lib) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_lib.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_lib_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_lib_makefile) AtlantisJava_check_install_lib; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_lib_makefile) : $(AtlantisJava_check_install_lib_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_lib.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_lib.in -tag=$(tags) $(AtlantisJava_check_install_lib_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_lib_makefile) AtlantisJava_check_install_lib
else
$(cmt_local_AtlantisJava_check_install_lib_makefile) : $(AtlantisJava_check_install_lib_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_lib) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_lib) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_lib.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_lib.in -tag=$(tags) $(AtlantisJava_check_install_lib_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_lib_makefile) AtlantisJava_check_install_lib; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_lib_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_lib_makefile) AtlantisJava_check_install_lib

AtlantisJava_check_install_lib :: $(AtlantisJava_check_install_lib_dependencies) $(cmt_local_AtlantisJava_check_install_lib_makefile) dirs AtlantisJava_check_install_libdirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_lib"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_lib_makefile) AtlantisJava_check_install_lib
	$(echo) "(constituents.make) AtlantisJava_check_install_lib done"

clean :: AtlantisJava_check_install_libclean

AtlantisJava_check_install_libclean :: $(AtlantisJava_check_install_libclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_lib_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_libclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_lib_makefile) AtlantisJava_check_install_libclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_libclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_lib_makefile) AtlantisJava_check_install_libclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_lib_makefile) $(bin)AtlantisJava_check_install_lib_dependencies.make

install :: AtlantisJava_check_install_libinstall

AtlantisJava_check_install_libinstall :: $(AtlantisJava_check_install_lib_dependencies) $(cmt_local_AtlantisJava_check_install_lib_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_lib"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_lib_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_lib done"

uninstall :: AtlantisJava_check_install_libuninstall

$(foreach d,$(AtlantisJava_check_install_lib_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_libuninstall))

AtlantisJava_check_install_libuninstall :: $(AtlantisJava_check_install_libuninstall_dependencies) $(cmt_local_AtlantisJava_check_install_lib_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_lib"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_lib_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_lib done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_lib"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_lib done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_img_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_img_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_img = $(AtlantisJava_tag)_AtlantisJava_check_install_img.make
cmt_local_tagfile_AtlantisJava_check_install_img = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_img.make
cmt_local_setup_AtlantisJava_check_install_img = $(bin)setup_AtlantisJava_check_install_img$$$$.make
cmt_final_setup_AtlantisJava_check_install_img = $(bin)setup_AtlantisJava_check_install_img.make
#cmt_final_setup_AtlantisJava_check_install_img = $(bin)AtlantisJava_AtlantisJava_check_install_imgsetup.make
cmt_local_AtlantisJava_check_install_img_makefile = $(bin)AtlantisJava_check_install_img.make

AtlantisJava_check_install_img_extratags = -tag_add=target_AtlantisJava_check_install_img

#$(cmt_local_tagfile_AtlantisJava_check_install_img) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_img) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_img) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_img); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_img); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_img_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_img)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_img)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_img) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_img); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_img)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_img_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_img) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_img) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_img) $(cmt_local_setup_AtlantisJava_check_install_img); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_img); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_img) $(cmt_final_setup_AtlantisJava_check_install_img); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_img = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_img = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_img = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_img = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_img_makefile = $(bin)AtlantisJava_check_install_img.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_imgdirs :
	@if test ! -d $(bin)AtlantisJava_check_install_img; then $(mkdir) -p $(bin)AtlantisJava_check_install_img; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_img
else
AtlantisJava_check_install_imgdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_imgdirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_img; then $(mkdir) -p $(bin)AtlantisJava_check_install_img; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_img
#
#$(cmt_local_AtlantisJava_check_install_img_makefile) :: $(AtlantisJava_check_install_img_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_img) build_library_links dirs AtlantisJava_check_install_imgdirs
#else
#$(cmt_local_AtlantisJava_check_install_img_makefile) :: $(AtlantisJava_check_install_img_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_img) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_img_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_img)
#endif

ifdef cmt_AtlantisJava_check_install_img_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_img_makefile) : $(AtlantisJava_check_install_img_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_img.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_img_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_img_makefile) AtlantisJava_check_install_img
else
$(cmt_local_AtlantisJava_check_install_img_makefile) : $(AtlantisJava_check_install_img_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_img) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_img) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_img.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_img_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_img_makefile) AtlantisJava_check_install_img; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_img_makefile) : $(AtlantisJava_check_install_img_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_img.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_img.in -tag=$(tags) $(AtlantisJava_check_install_img_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_img_makefile) AtlantisJava_check_install_img
else
$(cmt_local_AtlantisJava_check_install_img_makefile) : $(AtlantisJava_check_install_img_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_img) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_img) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_img.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_img.in -tag=$(tags) $(AtlantisJava_check_install_img_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_img_makefile) AtlantisJava_check_install_img; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_img_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_img_makefile) AtlantisJava_check_install_img

AtlantisJava_check_install_img :: $(AtlantisJava_check_install_img_dependencies) $(cmt_local_AtlantisJava_check_install_img_makefile) dirs AtlantisJava_check_install_imgdirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_img"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_img_makefile) AtlantisJava_check_install_img
	$(echo) "(constituents.make) AtlantisJava_check_install_img done"

clean :: AtlantisJava_check_install_imgclean

AtlantisJava_check_install_imgclean :: $(AtlantisJava_check_install_imgclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_img_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_imgclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_img_makefile) AtlantisJava_check_install_imgclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_imgclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_img_makefile) AtlantisJava_check_install_imgclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_img_makefile) $(bin)AtlantisJava_check_install_img_dependencies.make

install :: AtlantisJava_check_install_imginstall

AtlantisJava_check_install_imginstall :: $(AtlantisJava_check_install_img_dependencies) $(cmt_local_AtlantisJava_check_install_img_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_img"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_img_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_img done"

uninstall :: AtlantisJava_check_install_imguninstall

$(foreach d,$(AtlantisJava_check_install_img_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_imguninstall))

AtlantisJava_check_install_imguninstall :: $(AtlantisJava_check_install_imguninstall_dependencies) $(cmt_local_AtlantisJava_check_install_img_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_img"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_img_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_img done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_img"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_img done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_configuration_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_configuration_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_configuration = $(AtlantisJava_tag)_AtlantisJava_check_install_configuration.make
cmt_local_tagfile_AtlantisJava_check_install_configuration = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_configuration.make
cmt_local_setup_AtlantisJava_check_install_configuration = $(bin)setup_AtlantisJava_check_install_configuration$$$$.make
cmt_final_setup_AtlantisJava_check_install_configuration = $(bin)setup_AtlantisJava_check_install_configuration.make
#cmt_final_setup_AtlantisJava_check_install_configuration = $(bin)AtlantisJava_AtlantisJava_check_install_configurationsetup.make
cmt_local_AtlantisJava_check_install_configuration_makefile = $(bin)AtlantisJava_check_install_configuration.make

AtlantisJava_check_install_configuration_extratags = -tag_add=target_AtlantisJava_check_install_configuration

#$(cmt_local_tagfile_AtlantisJava_check_install_configuration) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_configuration) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_configuration) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_configuration); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_configuration); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_configuration_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_configuration)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_configuration)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_configuration) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_configuration); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_configuration)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_configuration_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_configuration) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_configuration) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_configuration) $(cmt_local_setup_AtlantisJava_check_install_configuration); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_configuration); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_configuration) $(cmt_final_setup_AtlantisJava_check_install_configuration); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_configuration = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_configuration = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_configuration = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_configuration = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_configuration_makefile = $(bin)AtlantisJava_check_install_configuration.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_configurationdirs :
	@if test ! -d $(bin)AtlantisJava_check_install_configuration; then $(mkdir) -p $(bin)AtlantisJava_check_install_configuration; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_configuration
else
AtlantisJava_check_install_configurationdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_configurationdirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_configuration; then $(mkdir) -p $(bin)AtlantisJava_check_install_configuration; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_configuration
#
#$(cmt_local_AtlantisJava_check_install_configuration_makefile) :: $(AtlantisJava_check_install_configuration_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_configuration) build_library_links dirs AtlantisJava_check_install_configurationdirs
#else
#$(cmt_local_AtlantisJava_check_install_configuration_makefile) :: $(AtlantisJava_check_install_configuration_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_configuration) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_configuration_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_configuration)
#endif

ifdef cmt_AtlantisJava_check_install_configuration_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_configuration_makefile) : $(AtlantisJava_check_install_configuration_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_configuration.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_configuration_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_configuration_makefile) AtlantisJava_check_install_configuration
else
$(cmt_local_AtlantisJava_check_install_configuration_makefile) : $(AtlantisJava_check_install_configuration_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_configuration) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_configuration) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_configuration.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_configuration_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_configuration_makefile) AtlantisJava_check_install_configuration; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_configuration_makefile) : $(AtlantisJava_check_install_configuration_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_configuration.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_configuration.in -tag=$(tags) $(AtlantisJava_check_install_configuration_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_configuration_makefile) AtlantisJava_check_install_configuration
else
$(cmt_local_AtlantisJava_check_install_configuration_makefile) : $(AtlantisJava_check_install_configuration_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_configuration) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_configuration) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_configuration.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_configuration.in -tag=$(tags) $(AtlantisJava_check_install_configuration_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_configuration_makefile) AtlantisJava_check_install_configuration; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_configuration_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_configuration_makefile) AtlantisJava_check_install_configuration

AtlantisJava_check_install_configuration :: $(AtlantisJava_check_install_configuration_dependencies) $(cmt_local_AtlantisJava_check_install_configuration_makefile) dirs AtlantisJava_check_install_configurationdirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_configuration"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_configuration_makefile) AtlantisJava_check_install_configuration
	$(echo) "(constituents.make) AtlantisJava_check_install_configuration done"

clean :: AtlantisJava_check_install_configurationclean

AtlantisJava_check_install_configurationclean :: $(AtlantisJava_check_install_configurationclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_configuration_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_configurationclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_configuration_makefile) AtlantisJava_check_install_configurationclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_configurationclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_configuration_makefile) AtlantisJava_check_install_configurationclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_configuration_makefile) $(bin)AtlantisJava_check_install_configuration_dependencies.make

install :: AtlantisJava_check_install_configurationinstall

AtlantisJava_check_install_configurationinstall :: $(AtlantisJava_check_install_configuration_dependencies) $(cmt_local_AtlantisJava_check_install_configuration_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_configuration"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_configuration_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_configuration done"

uninstall :: AtlantisJava_check_install_configurationuninstall

$(foreach d,$(AtlantisJava_check_install_configuration_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_configurationuninstall))

AtlantisJava_check_install_configurationuninstall :: $(AtlantisJava_check_install_configurationuninstall_dependencies) $(cmt_local_AtlantisJava_check_install_configuration_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_configuration"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_configuration_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_configuration done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_configuration"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_configuration done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_events_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_events_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_events = $(AtlantisJava_tag)_AtlantisJava_check_install_events.make
cmt_local_tagfile_AtlantisJava_check_install_events = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_events.make
cmt_local_setup_AtlantisJava_check_install_events = $(bin)setup_AtlantisJava_check_install_events$$$$.make
cmt_final_setup_AtlantisJava_check_install_events = $(bin)setup_AtlantisJava_check_install_events.make
#cmt_final_setup_AtlantisJava_check_install_events = $(bin)AtlantisJava_AtlantisJava_check_install_eventssetup.make
cmt_local_AtlantisJava_check_install_events_makefile = $(bin)AtlantisJava_check_install_events.make

AtlantisJava_check_install_events_extratags = -tag_add=target_AtlantisJava_check_install_events

#$(cmt_local_tagfile_AtlantisJava_check_install_events) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_events) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_events) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_events); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_events); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_events_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_events)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_events)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_events) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_events); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_events)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_events_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_events) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_events) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_events) $(cmt_local_setup_AtlantisJava_check_install_events); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_events); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_events) $(cmt_final_setup_AtlantisJava_check_install_events); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_events = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_events = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_events = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_events = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_events_makefile = $(bin)AtlantisJava_check_install_events.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_eventsdirs :
	@if test ! -d $(bin)AtlantisJava_check_install_events; then $(mkdir) -p $(bin)AtlantisJava_check_install_events; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_events
else
AtlantisJava_check_install_eventsdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_eventsdirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_events; then $(mkdir) -p $(bin)AtlantisJava_check_install_events; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_events
#
#$(cmt_local_AtlantisJava_check_install_events_makefile) :: $(AtlantisJava_check_install_events_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_events) build_library_links dirs AtlantisJava_check_install_eventsdirs
#else
#$(cmt_local_AtlantisJava_check_install_events_makefile) :: $(AtlantisJava_check_install_events_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_events) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_events_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_events)
#endif

ifdef cmt_AtlantisJava_check_install_events_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_events_makefile) : $(AtlantisJava_check_install_events_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_events.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_events_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_events_makefile) AtlantisJava_check_install_events
else
$(cmt_local_AtlantisJava_check_install_events_makefile) : $(AtlantisJava_check_install_events_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_events) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_events) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_events.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_events_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_events_makefile) AtlantisJava_check_install_events; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_events_makefile) : $(AtlantisJava_check_install_events_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_events.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_events.in -tag=$(tags) $(AtlantisJava_check_install_events_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_events_makefile) AtlantisJava_check_install_events
else
$(cmt_local_AtlantisJava_check_install_events_makefile) : $(AtlantisJava_check_install_events_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_events) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_events) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_events.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_events.in -tag=$(tags) $(AtlantisJava_check_install_events_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_events_makefile) AtlantisJava_check_install_events; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_events_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_events_makefile) AtlantisJava_check_install_events

AtlantisJava_check_install_events :: $(AtlantisJava_check_install_events_dependencies) $(cmt_local_AtlantisJava_check_install_events_makefile) dirs AtlantisJava_check_install_eventsdirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_events"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_events_makefile) AtlantisJava_check_install_events
	$(echo) "(constituents.make) AtlantisJava_check_install_events done"

clean :: AtlantisJava_check_install_eventsclean

AtlantisJava_check_install_eventsclean :: $(AtlantisJava_check_install_eventsclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_events_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_eventsclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_events_makefile) AtlantisJava_check_install_eventsclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_eventsclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_events_makefile) AtlantisJava_check_install_eventsclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_events_makefile) $(bin)AtlantisJava_check_install_events_dependencies.make

install :: AtlantisJava_check_install_eventsinstall

AtlantisJava_check_install_eventsinstall :: $(AtlantisJava_check_install_events_dependencies) $(cmt_local_AtlantisJava_check_install_events_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_events"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_events_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_events done"

uninstall :: AtlantisJava_check_install_eventsuninstall

$(foreach d,$(AtlantisJava_check_install_events_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_eventsuninstall))

AtlantisJava_check_install_eventsuninstall :: $(AtlantisJava_check_install_eventsuninstall_dependencies) $(cmt_local_AtlantisJava_check_install_events_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_events"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_events_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_events done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_events"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_events done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_geometry_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_geometry_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_geometry = $(AtlantisJava_tag)_AtlantisJava_check_install_geometry.make
cmt_local_tagfile_AtlantisJava_check_install_geometry = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_geometry.make
cmt_local_setup_AtlantisJava_check_install_geometry = $(bin)setup_AtlantisJava_check_install_geometry$$$$.make
cmt_final_setup_AtlantisJava_check_install_geometry = $(bin)setup_AtlantisJava_check_install_geometry.make
#cmt_final_setup_AtlantisJava_check_install_geometry = $(bin)AtlantisJava_AtlantisJava_check_install_geometrysetup.make
cmt_local_AtlantisJava_check_install_geometry_makefile = $(bin)AtlantisJava_check_install_geometry.make

AtlantisJava_check_install_geometry_extratags = -tag_add=target_AtlantisJava_check_install_geometry

#$(cmt_local_tagfile_AtlantisJava_check_install_geometry) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_geometry) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_geometry) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_geometry); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_geometry); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_geometry_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_geometry)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_geometry)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_geometry) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_geometry); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_geometry)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_geometry_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_geometry) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_geometry) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_geometry) $(cmt_local_setup_AtlantisJava_check_install_geometry); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_geometry); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_geometry) $(cmt_final_setup_AtlantisJava_check_install_geometry); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_geometry = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_geometry = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_geometry = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_geometry = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_geometry_makefile = $(bin)AtlantisJava_check_install_geometry.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_geometrydirs :
	@if test ! -d $(bin)AtlantisJava_check_install_geometry; then $(mkdir) -p $(bin)AtlantisJava_check_install_geometry; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_geometry
else
AtlantisJava_check_install_geometrydirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_geometrydirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_geometry; then $(mkdir) -p $(bin)AtlantisJava_check_install_geometry; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_geometry
#
#$(cmt_local_AtlantisJava_check_install_geometry_makefile) :: $(AtlantisJava_check_install_geometry_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_geometry) build_library_links dirs AtlantisJava_check_install_geometrydirs
#else
#$(cmt_local_AtlantisJava_check_install_geometry_makefile) :: $(AtlantisJava_check_install_geometry_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_geometry) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_geometry_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_geometry)
#endif

ifdef cmt_AtlantisJava_check_install_geometry_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_geometry_makefile) : $(AtlantisJava_check_install_geometry_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_geometry.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_geometry_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_geometry_makefile) AtlantisJava_check_install_geometry
else
$(cmt_local_AtlantisJava_check_install_geometry_makefile) : $(AtlantisJava_check_install_geometry_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_geometry) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_geometry) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_geometry.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_geometry_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_geometry_makefile) AtlantisJava_check_install_geometry; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_geometry_makefile) : $(AtlantisJava_check_install_geometry_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_geometry.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_geometry.in -tag=$(tags) $(AtlantisJava_check_install_geometry_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_geometry_makefile) AtlantisJava_check_install_geometry
else
$(cmt_local_AtlantisJava_check_install_geometry_makefile) : $(AtlantisJava_check_install_geometry_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_geometry) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_geometry) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_geometry.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_geometry.in -tag=$(tags) $(AtlantisJava_check_install_geometry_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_geometry_makefile) AtlantisJava_check_install_geometry; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_geometry_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_geometry_makefile) AtlantisJava_check_install_geometry

AtlantisJava_check_install_geometry :: $(AtlantisJava_check_install_geometry_dependencies) $(cmt_local_AtlantisJava_check_install_geometry_makefile) dirs AtlantisJava_check_install_geometrydirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_geometry"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_geometry_makefile) AtlantisJava_check_install_geometry
	$(echo) "(constituents.make) AtlantisJava_check_install_geometry done"

clean :: AtlantisJava_check_install_geometryclean

AtlantisJava_check_install_geometryclean :: $(AtlantisJava_check_install_geometryclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_geometry_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_geometryclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_geometry_makefile) AtlantisJava_check_install_geometryclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_geometryclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_geometry_makefile) AtlantisJava_check_install_geometryclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_geometry_makefile) $(bin)AtlantisJava_check_install_geometry_dependencies.make

install :: AtlantisJava_check_install_geometryinstall

AtlantisJava_check_install_geometryinstall :: $(AtlantisJava_check_install_geometry_dependencies) $(cmt_local_AtlantisJava_check_install_geometry_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_geometry"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_geometry_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_geometry done"

uninstall :: AtlantisJava_check_install_geometryuninstall

$(foreach d,$(AtlantisJava_check_install_geometry_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_geometryuninstall))

AtlantisJava_check_install_geometryuninstall :: $(AtlantisJava_check_install_geometryuninstall_dependencies) $(cmt_local_AtlantisJava_check_install_geometry_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_geometry"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_geometry_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_geometry done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_geometry"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_geometry done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJava_check_install_help_has_target_tag = 1

#--------------------------------------------------------

ifdef cmt_AtlantisJava_check_install_help_has_target_tag

#cmt_local_tagfile_AtlantisJava_check_install_help = $(AtlantisJava_tag)_AtlantisJava_check_install_help.make
cmt_local_tagfile_AtlantisJava_check_install_help = $(bin)$(AtlantisJava_tag)_AtlantisJava_check_install_help.make
cmt_local_setup_AtlantisJava_check_install_help = $(bin)setup_AtlantisJava_check_install_help$$$$.make
cmt_final_setup_AtlantisJava_check_install_help = $(bin)setup_AtlantisJava_check_install_help.make
#cmt_final_setup_AtlantisJava_check_install_help = $(bin)AtlantisJava_AtlantisJava_check_install_helpsetup.make
cmt_local_AtlantisJava_check_install_help_makefile = $(bin)AtlantisJava_check_install_help.make

AtlantisJava_check_install_help_extratags = -tag_add=target_AtlantisJava_check_install_help

#$(cmt_local_tagfile_AtlantisJava_check_install_help) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_AtlantisJava_check_install_help) ::
else
$(cmt_local_tagfile_AtlantisJava_check_install_help) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_AtlantisJava_check_install_help); then /bin/rm -f $(cmt_local_tagfile_AtlantisJava_check_install_help); fi ; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_help_extratags) build tag_makefile >>$(cmt_local_tagfile_AtlantisJava_check_install_help)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_AtlantisJava_check_install_help)"; \
	  test ! -f $(cmt_local_setup_AtlantisJava_check_install_help) || \rm -f $(cmt_local_setup_AtlantisJava_check_install_help); \
	  trap '\rm -f $(cmt_local_setup_AtlantisJava_check_install_help)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_help_extratags) show setup >$(cmt_local_setup_AtlantisJava_check_install_help) && \
	  if [ -f $(cmt_final_setup_AtlantisJava_check_install_help) ] && \
	    \cmp -s $(cmt_final_setup_AtlantisJava_check_install_help) $(cmt_local_setup_AtlantisJava_check_install_help); then \
	    \rm $(cmt_local_setup_AtlantisJava_check_install_help); else \
	    \mv -f $(cmt_local_setup_AtlantisJava_check_install_help) $(cmt_final_setup_AtlantisJava_check_install_help); fi

else

#cmt_local_tagfile_AtlantisJava_check_install_help = $(AtlantisJava_tag).make
cmt_local_tagfile_AtlantisJava_check_install_help = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJava_check_install_help = $(bin)setup.make
#cmt_final_setup_AtlantisJava_check_install_help = $(bin)AtlantisJavasetup.make
cmt_local_AtlantisJava_check_install_help_makefile = $(bin)AtlantisJava_check_install_help.make

endif

ifdef STRUCTURED_OUTPUT
AtlantisJava_check_install_helpdirs :
	@if test ! -d $(bin)AtlantisJava_check_install_help; then $(mkdir) -p $(bin)AtlantisJava_check_install_help; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_help
else
AtlantisJava_check_install_helpdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# AtlantisJava_check_install_helpdirs ::
#	@if test ! -d $(bin)AtlantisJava_check_install_help; then $(mkdir) -p $(bin)AtlantisJava_check_install_help; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJava_check_install_help
#
#$(cmt_local_AtlantisJava_check_install_help_makefile) :: $(AtlantisJava_check_install_help_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_help) build_library_links dirs AtlantisJava_check_install_helpdirs
#else
#$(cmt_local_AtlantisJava_check_install_help_makefile) :: $(AtlantisJava_check_install_help_dependencies) $(cmt_local_tagfile_AtlantisJava_check_install_help) build_library_links dirs
#endif
#else
#$(cmt_local_AtlantisJava_check_install_help_makefile) :: $(cmt_local_tagfile_AtlantisJava_check_install_help)
#endif

ifdef cmt_AtlantisJava_check_install_help_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_help_makefile) : $(AtlantisJava_check_install_help_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_help.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_help_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_help_makefile) AtlantisJava_check_install_help
else
$(cmt_local_AtlantisJava_check_install_help_makefile) : $(AtlantisJava_check_install_help_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_help) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_help) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_help.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_help_extratags) build constituent_config -out=$(cmt_local_AtlantisJava_check_install_help_makefile) AtlantisJava_check_install_help; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJava_check_install_help_makefile) : $(AtlantisJava_check_install_help_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJava_check_install_help.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_help.in -tag=$(tags) $(AtlantisJava_check_install_help_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_help_makefile) AtlantisJava_check_install_help
else
$(cmt_local_AtlantisJava_check_install_help_makefile) : $(AtlantisJava_check_install_help_dependencies)
	if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJava_check_install_help) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJava_check_install_help) ]; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJava_check_install_help.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJava_check_install_help.in -tag=$(tags) $(AtlantisJava_check_install_help_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJava_check_install_help_makefile) AtlantisJava_check_install_help; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJava_check_install_help_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJava_check_install_help_makefile) AtlantisJava_check_install_help

AtlantisJava_check_install_help :: $(AtlantisJava_check_install_help_dependencies) $(cmt_local_AtlantisJava_check_install_help_makefile) dirs AtlantisJava_check_install_helpdirs
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_help"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_help_makefile) AtlantisJava_check_install_help
	$(echo) "(constituents.make) AtlantisJava_check_install_help done"

clean :: AtlantisJava_check_install_helpclean

AtlantisJava_check_install_helpclean :: $(AtlantisJava_check_install_helpclean_dependencies) ##$(cmt_local_AtlantisJava_check_install_help_makefile)
	$(echo) "(constituents.make) Starting AtlantisJava_check_install_helpclean"
	@-if test -f $(cmt_local_AtlantisJava_check_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJava_check_install_help_makefile) AtlantisJava_check_install_helpclean; \
	fi
	$(echo) "(constituents.make) AtlantisJava_check_install_helpclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_help_makefile) AtlantisJava_check_install_helpclean

##	  /bin/rm -f $(cmt_local_AtlantisJava_check_install_help_makefile) $(bin)AtlantisJava_check_install_help_dependencies.make

install :: AtlantisJava_check_install_helpinstall

AtlantisJava_check_install_helpinstall :: $(AtlantisJava_check_install_help_dependencies) $(cmt_local_AtlantisJava_check_install_help_makefile)
	$(echo) "(constituents.make) Starting install AtlantisJava_check_install_help"
	@-$(MAKE) -f $(cmt_local_AtlantisJava_check_install_help_makefile) install
	$(echo) "(constituents.make) install AtlantisJava_check_install_help done"

uninstall :: AtlantisJava_check_install_helpuninstall

$(foreach d,$(AtlantisJava_check_install_help_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJava_check_install_helpuninstall))

AtlantisJava_check_install_helpuninstall :: $(AtlantisJava_check_install_helpuninstall_dependencies) $(cmt_local_AtlantisJava_check_install_help_makefile)
	$(echo) "(constituents.make) Starting uninstall AtlantisJava_check_install_help"
	@$(MAKE) -f $(cmt_local_AtlantisJava_check_install_help_makefile) uninstall
	$(echo) "(constituents.make) uninstall AtlantisJava_check_install_help done"

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJava_check_install_help"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJava_check_install_help done"
endif

#-- end of constituent ------
#-- start of constituents_trailer ------

clean :: remove_library_links

remove_library_links ::
	$(echo) "(constituents.make) Removing library links"; \
	  $(remove_library_links)

makefilesclean ::

###	@/bin/rm -f checkuses

###	/bin/rm -f *.make*

clean :: makefilesclean

binclean :: clean
	$(echo) "(constituents.make) Removing binary directory $(bin)"
	@if test ! "$(bin)" = "./"; then \
	  /bin/rm -rf $(bin); \
	fi

#-- end of constituents_trailer ------
